# This file was automatically generated by SWIG (http://www.swig.org).
# Version 1.3.31
#
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

"""
This module gives access to an iPod's content. It provides an easy to
use API to retrieve the list of files and playlists stored on an iPod,
modify them, and save them back to the iPod.

This module implements the libgpod C API as directly as possible in
Python.  See the main gpod module for a more traditional Python
interface.
"""

import _gpod
import new
new_instancemethod = new.instancemethod
try:
    _swig_property = property
except NameError:
    pass # Python < 2.2 doesn't have 'property'.
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "thisown"): return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'PySwigObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    if (name == "thisown"): return self.this.own()
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

def _swig_repr(self):
    try: strthis = "proxy of " + self.this.__repr__()
    except: strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types



def sw_get_tracks(*args):
  """
    sw_get_tracks(Itdb_iTunesDB itdb) -> [Itdb_Track, ...]

    Get tracks in itdb.

    Parameters
    itdb: an Itdb_iTunesDB
    Returns: a list of Itdb_Track objects

    """
  return _gpod.sw_get_tracks(*args)

def sw_get_track(*args):
  """
    sw_get_track(GList list, gint index) -> Itdb_Track

    Get a track

    Parameters
    list: a GList
    index: position of the track
    Returns: an Itdb_Track

    """
  return _gpod.sw_get_track(*args)

def sw_get_rule(*args):
  """
    sw_get_rule(GList list, gint index) -> SPLRule

    Get a rule

    Parameters
    list: a GList
    index: position of the rule
    Returns: an SPLRule

    """
  return _gpod.sw_get_rule(*args)

def sw_get_playlist(*args):
  """
    sw_get_playlist(GList list, gint index) -> Itdb_Playlist

    Get a playlist

    Parameters
    list: a GList
    index: position of the playlist
    Returns: an Itdb_Playlist

    """
  return _gpod.sw_get_playlist(*args)

def sw_get_list_len(*args):
  """
    sw_get_list_len(GList list) -> Int

    Get the length of list

    Parameters
    list: a GList
    Returns: length of list

    """
  return _gpod.sw_get_list_len(*args)

def sw_get_playlists(*args):
  """
    sw_get_playlists(Itdb_iTunesDB itdb) -> [Itdb_Playlist, ...]

    Get playlists

    Parameters
    itdb: an Itdb_iTunesDB
    Returns: a list of Itdb_Playlist objects

    """
  return _gpod.sw_get_playlists(*args)

def sw_get_playlist_tracks(*args):
  """
    sw_get_playlist_tracks(Itdb_Playlist pl) -> [Itdb_Track, ...]

    Get tracks in playlist

    pl: an Itdb_Playlist
    Returns: a list of Itdb_Track objects

    """
  return _gpod.sw_get_playlist_tracks(*args)

def sw_set_track_userdata(*args):
  """
    sw_set_track_userdata(Itdb_Track track, Dictionary userdata)

    Set a tracks userdata

    Parameters
    track: an Itdb_Track
    userdata: a dictionary.  Note that userdata can be None, in order to
    clear all userdata.

    """
  return _gpod.sw_set_track_userdata(*args)

def sw_get_track_userdata(*args):
  """
    sw_get_track_userdata(Itdb_Track track) -> Dictionary

    Get track userdata

    Parameters
    track: an Itdb_Track
    Returns: a dictionary containing any userdata for track

    """
  return _gpod.sw_get_track_userdata(*args)
ITDB_IPOD_GENERATION_UNKNOWN = _gpod.ITDB_IPOD_GENERATION_UNKNOWN
ITDB_IPOD_GENERATION_FIRST = _gpod.ITDB_IPOD_GENERATION_FIRST
ITDB_IPOD_GENERATION_SECOND = _gpod.ITDB_IPOD_GENERATION_SECOND
ITDB_IPOD_GENERATION_THIRD = _gpod.ITDB_IPOD_GENERATION_THIRD
ITDB_IPOD_GENERATION_FOURTH = _gpod.ITDB_IPOD_GENERATION_FOURTH
ITDB_IPOD_GENERATION_FIFTH = _gpod.ITDB_IPOD_GENERATION_FIFTH
ITDB_IPOD_GENERATION_SIXTH = _gpod.ITDB_IPOD_GENERATION_SIXTH
ITDB_IPOD_GENERATION_MOBILE = _gpod.ITDB_IPOD_GENERATION_MOBILE
ITDB_IPOD_MODEL_INVALID = _gpod.ITDB_IPOD_MODEL_INVALID
ITDB_IPOD_MODEL_UNKNOWN = _gpod.ITDB_IPOD_MODEL_UNKNOWN
ITDB_IPOD_MODEL_COLOR = _gpod.ITDB_IPOD_MODEL_COLOR
ITDB_IPOD_MODEL_COLOR_U2 = _gpod.ITDB_IPOD_MODEL_COLOR_U2
ITDB_IPOD_MODEL_REGULAR = _gpod.ITDB_IPOD_MODEL_REGULAR
ITDB_IPOD_MODEL_REGULAR_U2 = _gpod.ITDB_IPOD_MODEL_REGULAR_U2
ITDB_IPOD_MODEL_MINI = _gpod.ITDB_IPOD_MODEL_MINI
ITDB_IPOD_MODEL_MINI_BLUE = _gpod.ITDB_IPOD_MODEL_MINI_BLUE
ITDB_IPOD_MODEL_MINI_PINK = _gpod.ITDB_IPOD_MODEL_MINI_PINK
ITDB_IPOD_MODEL_MINI_GREEN = _gpod.ITDB_IPOD_MODEL_MINI_GREEN
ITDB_IPOD_MODEL_MINI_GOLD = _gpod.ITDB_IPOD_MODEL_MINI_GOLD
ITDB_IPOD_MODEL_SHUFFLE = _gpod.ITDB_IPOD_MODEL_SHUFFLE
ITDB_IPOD_MODEL_NANO_WHITE = _gpod.ITDB_IPOD_MODEL_NANO_WHITE
ITDB_IPOD_MODEL_NANO_BLACK = _gpod.ITDB_IPOD_MODEL_NANO_BLACK
ITDB_IPOD_MODEL_VIDEO_WHITE = _gpod.ITDB_IPOD_MODEL_VIDEO_WHITE
ITDB_IPOD_MODEL_VIDEO_BLACK = _gpod.ITDB_IPOD_MODEL_VIDEO_BLACK
ITDB_IPOD_MODEL_MOBILE_1 = _gpod.ITDB_IPOD_MODEL_MOBILE_1
ITDB_IPOD_MODEL_VIDEO_U2 = _gpod.ITDB_IPOD_MODEL_VIDEO_U2
ITDB_IPOD_MODEL_NANO_SILVER = _gpod.ITDB_IPOD_MODEL_NANO_SILVER
ITDB_IPOD_MODEL_NANO_BLUE = _gpod.ITDB_IPOD_MODEL_NANO_BLUE
ITDB_IPOD_MODEL_NANO_GREEN = _gpod.ITDB_IPOD_MODEL_NANO_GREEN
ITDB_IPOD_MODEL_NANO_PINK = _gpod.ITDB_IPOD_MODEL_NANO_PINK
class _Itdb_IpodInfo(_object):
    """Proxy of C _Itdb_IpodInfo struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_IpodInfo, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_IpodInfo, name)
    __repr__ = _swig_repr
    __swig_setmethods__["model_number"] = _gpod._Itdb_IpodInfo_model_number_set
    __swig_getmethods__["model_number"] = _gpod._Itdb_IpodInfo_model_number_get
    if _newclass:model_number = _swig_property(_gpod._Itdb_IpodInfo_model_number_get, _gpod._Itdb_IpodInfo_model_number_set)
    __swig_getmethods__["capacity"] = _gpod._Itdb_IpodInfo_capacity_get
    if _newclass:capacity = _swig_property(_gpod._Itdb_IpodInfo_capacity_get)
    __swig_getmethods__["ipod_model"] = _gpod._Itdb_IpodInfo_ipod_model_get
    if _newclass:ipod_model = _swig_property(_gpod._Itdb_IpodInfo_ipod_model_get)
    __swig_getmethods__["ipod_generation"] = _gpod._Itdb_IpodInfo_ipod_generation_get
    if _newclass:ipod_generation = _swig_property(_gpod._Itdb_IpodInfo_ipod_generation_get)
    __swig_getmethods__["musicdirs"] = _gpod._Itdb_IpodInfo_musicdirs_get
    if _newclass:musicdirs = _swig_property(_gpod._Itdb_IpodInfo_musicdirs_get)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_IpodInfo"""
        this = _gpod.new__Itdb_IpodInfo(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_IpodInfo
    __del__ = lambda self : None;
_Itdb_IpodInfo_swigregister = _gpod._Itdb_IpodInfo_swigregister
_Itdb_IpodInfo_swigregister(_Itdb_IpodInfo)

SPL_STRING_MAXLEN = _gpod.SPL_STRING_MAXLEN
SPLMATCH_AND = _gpod.SPLMATCH_AND
SPLMATCH_OR = _gpod.SPLMATCH_OR
LIMITTYPE_MINUTES = _gpod.LIMITTYPE_MINUTES
LIMITTYPE_MB = _gpod.LIMITTYPE_MB
LIMITTYPE_SONGS = _gpod.LIMITTYPE_SONGS
LIMITTYPE_HOURS = _gpod.LIMITTYPE_HOURS
LIMITTYPE_GB = _gpod.LIMITTYPE_GB
LIMITSORT_RANDOM = _gpod.LIMITSORT_RANDOM
LIMITSORT_SONG_NAME = _gpod.LIMITSORT_SONG_NAME
LIMITSORT_ALBUM = _gpod.LIMITSORT_ALBUM
LIMITSORT_ARTIST = _gpod.LIMITSORT_ARTIST
LIMITSORT_GENRE = _gpod.LIMITSORT_GENRE
LIMITSORT_MOST_RECENTLY_ADDED = _gpod.LIMITSORT_MOST_RECENTLY_ADDED
LIMITSORT_LEAST_RECENTLY_ADDED = _gpod.LIMITSORT_LEAST_RECENTLY_ADDED
LIMITSORT_MOST_OFTEN_PLAYED = _gpod.LIMITSORT_MOST_OFTEN_PLAYED
LIMITSORT_LEAST_OFTEN_PLAYED = _gpod.LIMITSORT_LEAST_OFTEN_PLAYED
LIMITSORT_MOST_RECENTLY_PLAYED = _gpod.LIMITSORT_MOST_RECENTLY_PLAYED
LIMITSORT_LEAST_RECENTLY_PLAYED = _gpod.LIMITSORT_LEAST_RECENTLY_PLAYED
LIMITSORT_HIGHEST_RATING = _gpod.LIMITSORT_HIGHEST_RATING
LIMITSORT_LOWEST_RATING = _gpod.LIMITSORT_LOWEST_RATING
SPLACTION_IS_INT = _gpod.SPLACTION_IS_INT
SPLACTION_IS_GREATER_THAN = _gpod.SPLACTION_IS_GREATER_THAN
SPLACTION_IS_LESS_THAN = _gpod.SPLACTION_IS_LESS_THAN
SPLACTION_IS_IN_THE_RANGE = _gpod.SPLACTION_IS_IN_THE_RANGE
SPLACTION_IS_IN_THE_LAST = _gpod.SPLACTION_IS_IN_THE_LAST
SPLACTION_IS_STRING = _gpod.SPLACTION_IS_STRING
SPLACTION_CONTAINS = _gpod.SPLACTION_CONTAINS
SPLACTION_STARTS_WITH = _gpod.SPLACTION_STARTS_WITH
SPLACTION_ENDS_WITH = _gpod.SPLACTION_ENDS_WITH
SPLACTION_IS_NOT_INT = _gpod.SPLACTION_IS_NOT_INT
SPLACTION_IS_NOT_GREATER_THAN = _gpod.SPLACTION_IS_NOT_GREATER_THAN
SPLACTION_IS_NOT_LESS_THAN = _gpod.SPLACTION_IS_NOT_LESS_THAN
SPLACTION_IS_NOT_IN_THE_RANGE = _gpod.SPLACTION_IS_NOT_IN_THE_RANGE
SPLACTION_IS_NOT_IN_THE_LAST = _gpod.SPLACTION_IS_NOT_IN_THE_LAST
SPLACTION_IS_NOT = _gpod.SPLACTION_IS_NOT
SPLACTION_DOES_NOT_CONTAIN = _gpod.SPLACTION_DOES_NOT_CONTAIN
SPLACTION_DOES_NOT_START_WITH = _gpod.SPLACTION_DOES_NOT_START_WITH
SPLACTION_DOES_NOT_END_WITH = _gpod.SPLACTION_DOES_NOT_END_WITH
splft_string = _gpod.splft_string
splft_int = _gpod.splft_int
splft_boolean = _gpod.splft_boolean
splft_date = _gpod.splft_date
splft_playlist = _gpod.splft_playlist
splft_unknown = _gpod.splft_unknown
splat_string = _gpod.splat_string
splat_int = _gpod.splat_int
splat_date = _gpod.splat_date
splat_range_int = _gpod.splat_range_int
splat_range_date = _gpod.splat_range_date
splat_inthelast = _gpod.splat_inthelast
splat_playlist = _gpod.splat_playlist
splat_none = _gpod.splat_none
splat_invalid = _gpod.splat_invalid
splat_unknown = _gpod.splat_unknown
SPLACTION_LAST_DAYS_VALUE = _gpod.SPLACTION_LAST_DAYS_VALUE
SPLACTION_LAST_WEEKS_VALUE = _gpod.SPLACTION_LAST_WEEKS_VALUE
SPLACTION_LAST_MONTHS_VALUE = _gpod.SPLACTION_LAST_MONTHS_VALUE
SPLFIELD_SONG_NAME = _gpod.SPLFIELD_SONG_NAME
SPLFIELD_ALBUM = _gpod.SPLFIELD_ALBUM
SPLFIELD_ARTIST = _gpod.SPLFIELD_ARTIST
SPLFIELD_BITRATE = _gpod.SPLFIELD_BITRATE
SPLFIELD_SAMPLE_RATE = _gpod.SPLFIELD_SAMPLE_RATE
SPLFIELD_YEAR = _gpod.SPLFIELD_YEAR
SPLFIELD_GENRE = _gpod.SPLFIELD_GENRE
SPLFIELD_KIND = _gpod.SPLFIELD_KIND
SPLFIELD_DATE_MODIFIED = _gpod.SPLFIELD_DATE_MODIFIED
SPLFIELD_TRACKNUMBER = _gpod.SPLFIELD_TRACKNUMBER
SPLFIELD_SIZE = _gpod.SPLFIELD_SIZE
SPLFIELD_TIME = _gpod.SPLFIELD_TIME
SPLFIELD_COMMENT = _gpod.SPLFIELD_COMMENT
SPLFIELD_DATE_ADDED = _gpod.SPLFIELD_DATE_ADDED
SPLFIELD_COMPOSER = _gpod.SPLFIELD_COMPOSER
SPLFIELD_PLAYCOUNT = _gpod.SPLFIELD_PLAYCOUNT
SPLFIELD_LAST_PLAYED = _gpod.SPLFIELD_LAST_PLAYED
SPLFIELD_DISC_NUMBER = _gpod.SPLFIELD_DISC_NUMBER
SPLFIELD_RATING = _gpod.SPLFIELD_RATING
SPLFIELD_COMPILATION = _gpod.SPLFIELD_COMPILATION
SPLFIELD_BPM = _gpod.SPLFIELD_BPM
SPLFIELD_GROUPING = _gpod.SPLFIELD_GROUPING
SPLFIELD_PLAYLIST = _gpod.SPLFIELD_PLAYLIST
SPL_MAXSTRINGLENGTH = _gpod.SPL_MAXSTRINGLENGTH
class _SPLPref(_object):
    """Proxy of C _SPLPref struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _SPLPref, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _SPLPref, name)
    __repr__ = _swig_repr
    __swig_setmethods__["liveupdate"] = _gpod._SPLPref_liveupdate_set
    __swig_getmethods__["liveupdate"] = _gpod._SPLPref_liveupdate_get
    if _newclass:liveupdate = _swig_property(_gpod._SPLPref_liveupdate_get, _gpod._SPLPref_liveupdate_set)
    __swig_setmethods__["checkrules"] = _gpod._SPLPref_checkrules_set
    __swig_getmethods__["checkrules"] = _gpod._SPLPref_checkrules_get
    if _newclass:checkrules = _swig_property(_gpod._SPLPref_checkrules_get, _gpod._SPLPref_checkrules_set)
    __swig_setmethods__["checklimits"] = _gpod._SPLPref_checklimits_set
    __swig_getmethods__["checklimits"] = _gpod._SPLPref_checklimits_get
    if _newclass:checklimits = _swig_property(_gpod._SPLPref_checklimits_get, _gpod._SPLPref_checklimits_set)
    __swig_setmethods__["limittype"] = _gpod._SPLPref_limittype_set
    __swig_getmethods__["limittype"] = _gpod._SPLPref_limittype_get
    if _newclass:limittype = _swig_property(_gpod._SPLPref_limittype_get, _gpod._SPLPref_limittype_set)
    __swig_setmethods__["limitsort"] = _gpod._SPLPref_limitsort_set
    __swig_getmethods__["limitsort"] = _gpod._SPLPref_limitsort_get
    if _newclass:limitsort = _swig_property(_gpod._SPLPref_limitsort_get, _gpod._SPLPref_limitsort_set)
    __swig_setmethods__["limitvalue"] = _gpod._SPLPref_limitvalue_set
    __swig_getmethods__["limitvalue"] = _gpod._SPLPref_limitvalue_get
    if _newclass:limitvalue = _swig_property(_gpod._SPLPref_limitvalue_get, _gpod._SPLPref_limitvalue_set)
    __swig_setmethods__["matchcheckedonly"] = _gpod._SPLPref_matchcheckedonly_set
    __swig_getmethods__["matchcheckedonly"] = _gpod._SPLPref_matchcheckedonly_get
    if _newclass:matchcheckedonly = _swig_property(_gpod._SPLPref_matchcheckedonly_get, _gpod._SPLPref_matchcheckedonly_set)
    def __init__(self, *args): 
        """__init__(self) -> _SPLPref"""
        this = _gpod.new__SPLPref(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__SPLPref
    __del__ = lambda self : None;
_SPLPref_swigregister = _gpod._SPLPref_swigregister
_SPLPref_swigregister(_SPLPref)

class _SPLRule(_object):
    """Proxy of C _SPLRule struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _SPLRule, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _SPLRule, name)
    __repr__ = _swig_repr
    __swig_setmethods__["field"] = _gpod._SPLRule_field_set
    __swig_getmethods__["field"] = _gpod._SPLRule_field_get
    if _newclass:field = _swig_property(_gpod._SPLRule_field_get, _gpod._SPLRule_field_set)
    __swig_setmethods__["action"] = _gpod._SPLRule_action_set
    __swig_getmethods__["action"] = _gpod._SPLRule_action_get
    if _newclass:action = _swig_property(_gpod._SPLRule_action_get, _gpod._SPLRule_action_set)
    __swig_setmethods__["string"] = _gpod._SPLRule_string_set
    __swig_getmethods__["string"] = _gpod._SPLRule_string_get
    if _newclass:string = _swig_property(_gpod._SPLRule_string_get, _gpod._SPLRule_string_set)
    __swig_setmethods__["fromvalue"] = _gpod._SPLRule_fromvalue_set
    __swig_getmethods__["fromvalue"] = _gpod._SPLRule_fromvalue_get
    if _newclass:fromvalue = _swig_property(_gpod._SPLRule_fromvalue_get, _gpod._SPLRule_fromvalue_set)
    __swig_setmethods__["fromdate"] = _gpod._SPLRule_fromdate_set
    __swig_getmethods__["fromdate"] = _gpod._SPLRule_fromdate_get
    if _newclass:fromdate = _swig_property(_gpod._SPLRule_fromdate_get, _gpod._SPLRule_fromdate_set)
    __swig_setmethods__["fromunits"] = _gpod._SPLRule_fromunits_set
    __swig_getmethods__["fromunits"] = _gpod._SPLRule_fromunits_get
    if _newclass:fromunits = _swig_property(_gpod._SPLRule_fromunits_get, _gpod._SPLRule_fromunits_set)
    __swig_setmethods__["tovalue"] = _gpod._SPLRule_tovalue_set
    __swig_getmethods__["tovalue"] = _gpod._SPLRule_tovalue_get
    if _newclass:tovalue = _swig_property(_gpod._SPLRule_tovalue_get, _gpod._SPLRule_tovalue_set)
    __swig_setmethods__["todate"] = _gpod._SPLRule_todate_set
    __swig_getmethods__["todate"] = _gpod._SPLRule_todate_get
    if _newclass:todate = _swig_property(_gpod._SPLRule_todate_get, _gpod._SPLRule_todate_set)
    __swig_setmethods__["tounits"] = _gpod._SPLRule_tounits_set
    __swig_getmethods__["tounits"] = _gpod._SPLRule_tounits_get
    if _newclass:tounits = _swig_property(_gpod._SPLRule_tounits_get, _gpod._SPLRule_tounits_set)
    __swig_setmethods__["unk052"] = _gpod._SPLRule_unk052_set
    __swig_getmethods__["unk052"] = _gpod._SPLRule_unk052_get
    if _newclass:unk052 = _swig_property(_gpod._SPLRule_unk052_get, _gpod._SPLRule_unk052_set)
    __swig_setmethods__["unk056"] = _gpod._SPLRule_unk056_set
    __swig_getmethods__["unk056"] = _gpod._SPLRule_unk056_get
    if _newclass:unk056 = _swig_property(_gpod._SPLRule_unk056_get, _gpod._SPLRule_unk056_set)
    __swig_setmethods__["unk060"] = _gpod._SPLRule_unk060_set
    __swig_getmethods__["unk060"] = _gpod._SPLRule_unk060_get
    if _newclass:unk060 = _swig_property(_gpod._SPLRule_unk060_get, _gpod._SPLRule_unk060_set)
    __swig_setmethods__["unk064"] = _gpod._SPLRule_unk064_set
    __swig_getmethods__["unk064"] = _gpod._SPLRule_unk064_get
    if _newclass:unk064 = _swig_property(_gpod._SPLRule_unk064_get, _gpod._SPLRule_unk064_set)
    __swig_setmethods__["unk068"] = _gpod._SPLRule_unk068_set
    __swig_getmethods__["unk068"] = _gpod._SPLRule_unk068_get
    if _newclass:unk068 = _swig_property(_gpod._SPLRule_unk068_get, _gpod._SPLRule_unk068_set)
    def __init__(self, *args): 
        """__init__(self) -> _SPLRule"""
        this = _gpod.new__SPLRule(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__SPLRule
    __del__ = lambda self : None;
_SPLRule_swigregister = _gpod._SPLRule_swigregister
_SPLRule_swigregister(_SPLRule)

class _SPLRules(_object):
    """Proxy of C _SPLRules struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _SPLRules, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _SPLRules, name)
    __repr__ = _swig_repr
    __swig_setmethods__["unk004"] = _gpod._SPLRules_unk004_set
    __swig_getmethods__["unk004"] = _gpod._SPLRules_unk004_get
    if _newclass:unk004 = _swig_property(_gpod._SPLRules_unk004_get, _gpod._SPLRules_unk004_set)
    __swig_setmethods__["match_operator"] = _gpod._SPLRules_match_operator_set
    __swig_getmethods__["match_operator"] = _gpod._SPLRules_match_operator_get
    if _newclass:match_operator = _swig_property(_gpod._SPLRules_match_operator_get, _gpod._SPLRules_match_operator_set)
    __swig_setmethods__["rules"] = _gpod._SPLRules_rules_set
    __swig_getmethods__["rules"] = _gpod._SPLRules_rules_get
    if _newclass:rules = _swig_property(_gpod._SPLRules_rules_get, _gpod._SPLRules_rules_set)
    def __init__(self, *args): 
        """__init__(self) -> _SPLRules"""
        this = _gpod.new__SPLRules(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__SPLRules
    __del__ = lambda self : None;
_SPLRules_swigregister = _gpod._SPLRules_swigregister
_SPLRules_swigregister(_SPLRules)

ITDB_RATING_STEP = _gpod.ITDB_RATING_STEP
ITDB_THUMB_COVER_SMALL = _gpod.ITDB_THUMB_COVER_SMALL
ITDB_THUMB_COVER_LARGE = _gpod.ITDB_THUMB_COVER_LARGE
ITDB_THUMB_PHOTO_SMALL = _gpod.ITDB_THUMB_PHOTO_SMALL
ITDB_THUMB_PHOTO_LARGE = _gpod.ITDB_THUMB_PHOTO_LARGE
ITDB_THUMB_PHOTO_FULL_SCREEN = _gpod.ITDB_THUMB_PHOTO_FULL_SCREEN
ITDB_THUMB_PHOTO_TV_SCREEN = _gpod.ITDB_THUMB_PHOTO_TV_SCREEN
class _Itdb_Thumb(_object):
    """Proxy of C _Itdb_Thumb struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Thumb, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Thumb, name)
    __repr__ = _swig_repr
    __swig_setmethods__["type"] = _gpod._Itdb_Thumb_type_set
    __swig_getmethods__["type"] = _gpod._Itdb_Thumb_type_get
    if _newclass:type = _swig_property(_gpod._Itdb_Thumb_type_get, _gpod._Itdb_Thumb_type_set)
    __swig_setmethods__["filename"] = _gpod._Itdb_Thumb_filename_set
    __swig_getmethods__["filename"] = _gpod._Itdb_Thumb_filename_get
    if _newclass:filename = _swig_property(_gpod._Itdb_Thumb_filename_get, _gpod._Itdb_Thumb_filename_set)
    __swig_setmethods__["image_data"] = _gpod._Itdb_Thumb_image_data_set
    __swig_getmethods__["image_data"] = _gpod._Itdb_Thumb_image_data_get
    if _newclass:image_data = _swig_property(_gpod._Itdb_Thumb_image_data_get, _gpod._Itdb_Thumb_image_data_set)
    __swig_setmethods__["image_data_len"] = _gpod._Itdb_Thumb_image_data_len_set
    __swig_getmethods__["image_data_len"] = _gpod._Itdb_Thumb_image_data_len_get
    if _newclass:image_data_len = _swig_property(_gpod._Itdb_Thumb_image_data_len_get, _gpod._Itdb_Thumb_image_data_len_set)
    __swig_setmethods__["rotation"] = _gpod._Itdb_Thumb_rotation_set
    __swig_getmethods__["rotation"] = _gpod._Itdb_Thumb_rotation_get
    if _newclass:rotation = _swig_property(_gpod._Itdb_Thumb_rotation_get, _gpod._Itdb_Thumb_rotation_set)
    __swig_setmethods__["offset"] = _gpod._Itdb_Thumb_offset_set
    __swig_getmethods__["offset"] = _gpod._Itdb_Thumb_offset_get
    if _newclass:offset = _swig_property(_gpod._Itdb_Thumb_offset_get, _gpod._Itdb_Thumb_offset_set)
    __swig_setmethods__["size"] = _gpod._Itdb_Thumb_size_set
    __swig_getmethods__["size"] = _gpod._Itdb_Thumb_size_get
    if _newclass:size = _swig_property(_gpod._Itdb_Thumb_size_get, _gpod._Itdb_Thumb_size_set)
    __swig_setmethods__["width"] = _gpod._Itdb_Thumb_width_set
    __swig_getmethods__["width"] = _gpod._Itdb_Thumb_width_get
    if _newclass:width = _swig_property(_gpod._Itdb_Thumb_width_get, _gpod._Itdb_Thumb_width_set)
    __swig_setmethods__["height"] = _gpod._Itdb_Thumb_height_set
    __swig_getmethods__["height"] = _gpod._Itdb_Thumb_height_get
    if _newclass:height = _swig_property(_gpod._Itdb_Thumb_height_get, _gpod._Itdb_Thumb_height_set)
    __swig_setmethods__["horizontal_padding"] = _gpod._Itdb_Thumb_horizontal_padding_set
    __swig_getmethods__["horizontal_padding"] = _gpod._Itdb_Thumb_horizontal_padding_get
    if _newclass:horizontal_padding = _swig_property(_gpod._Itdb_Thumb_horizontal_padding_get, _gpod._Itdb_Thumb_horizontal_padding_set)
    __swig_setmethods__["vertical_padding"] = _gpod._Itdb_Thumb_vertical_padding_set
    __swig_getmethods__["vertical_padding"] = _gpod._Itdb_Thumb_vertical_padding_get
    if _newclass:vertical_padding = _swig_property(_gpod._Itdb_Thumb_vertical_padding_get, _gpod._Itdb_Thumb_vertical_padding_set)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_Thumb"""
        this = _gpod.new__Itdb_Thumb(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_Thumb
    __del__ = lambda self : None;
_Itdb_Thumb_swigregister = _gpod._Itdb_Thumb_swigregister
_Itdb_Thumb_swigregister(_Itdb_Thumb)

class _Itdb_Artwork(_object):
    """Proxy of C _Itdb_Artwork struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Artwork, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Artwork, name)
    __repr__ = _swig_repr
    __swig_setmethods__["thumbnails"] = _gpod._Itdb_Artwork_thumbnails_set
    __swig_getmethods__["thumbnails"] = _gpod._Itdb_Artwork_thumbnails_get
    if _newclass:thumbnails = _swig_property(_gpod._Itdb_Artwork_thumbnails_get, _gpod._Itdb_Artwork_thumbnails_set)
    __swig_setmethods__["id"] = _gpod._Itdb_Artwork_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_Artwork_id_get
    if _newclass:id = _swig_property(_gpod._Itdb_Artwork_id_get, _gpod._Itdb_Artwork_id_set)
    __swig_setmethods__["unk028"] = _gpod._Itdb_Artwork_unk028_set
    __swig_getmethods__["unk028"] = _gpod._Itdb_Artwork_unk028_get
    if _newclass:unk028 = _swig_property(_gpod._Itdb_Artwork_unk028_get, _gpod._Itdb_Artwork_unk028_set)
    __swig_setmethods__["rating"] = _gpod._Itdb_Artwork_rating_set
    __swig_getmethods__["rating"] = _gpod._Itdb_Artwork_rating_get
    if _newclass:rating = _swig_property(_gpod._Itdb_Artwork_rating_get, _gpod._Itdb_Artwork_rating_set)
    __swig_setmethods__["unk036"] = _gpod._Itdb_Artwork_unk036_set
    __swig_getmethods__["unk036"] = _gpod._Itdb_Artwork_unk036_get
    if _newclass:unk036 = _swig_property(_gpod._Itdb_Artwork_unk036_get, _gpod._Itdb_Artwork_unk036_set)
    __swig_setmethods__["creation_date"] = _gpod._Itdb_Artwork_creation_date_set
    __swig_getmethods__["creation_date"] = _gpod._Itdb_Artwork_creation_date_get
    if _newclass:creation_date = _swig_property(_gpod._Itdb_Artwork_creation_date_get, _gpod._Itdb_Artwork_creation_date_set)
    __swig_setmethods__["digitized_date"] = _gpod._Itdb_Artwork_digitized_date_set
    __swig_getmethods__["digitized_date"] = _gpod._Itdb_Artwork_digitized_date_get
    if _newclass:digitized_date = _swig_property(_gpod._Itdb_Artwork_digitized_date_get, _gpod._Itdb_Artwork_digitized_date_set)
    __swig_setmethods__["artwork_size"] = _gpod._Itdb_Artwork_artwork_size_set
    __swig_getmethods__["artwork_size"] = _gpod._Itdb_Artwork_artwork_size_get
    if _newclass:artwork_size = _swig_property(_gpod._Itdb_Artwork_artwork_size_get, _gpod._Itdb_Artwork_artwork_size_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_Artwork_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_Artwork_usertype_get
    if _newclass:usertype = _swig_property(_gpod._Itdb_Artwork_usertype_get, _gpod._Itdb_Artwork_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_Artwork_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_Artwork_userdata_get
    if _newclass:userdata = _swig_property(_gpod._Itdb_Artwork_userdata_get, _gpod._Itdb_Artwork_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_Artwork_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_Artwork_userdata_duplicate_get
    if _newclass:userdata_duplicate = _swig_property(_gpod._Itdb_Artwork_userdata_duplicate_get, _gpod._Itdb_Artwork_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_Artwork_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_Artwork_userdata_destroy_get
    if _newclass:userdata_destroy = _swig_property(_gpod._Itdb_Artwork_userdata_destroy_get, _gpod._Itdb_Artwork_userdata_destroy_set)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_Artwork"""
        this = _gpod.new__Itdb_Artwork(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_Artwork
    __del__ = lambda self : None;
_Itdb_Artwork_swigregister = _gpod._Itdb_Artwork_swigregister
_Itdb_Artwork_swigregister(_Itdb_Artwork)

class _Itdb_PhotoDB(_object):
    """Proxy of C _Itdb_PhotoDB struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_PhotoDB, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_PhotoDB, name)
    __repr__ = _swig_repr
    __swig_setmethods__["photos"] = _gpod._Itdb_PhotoDB_photos_set
    __swig_getmethods__["photos"] = _gpod._Itdb_PhotoDB_photos_get
    if _newclass:photos = _swig_property(_gpod._Itdb_PhotoDB_photos_get, _gpod._Itdb_PhotoDB_photos_set)
    __swig_setmethods__["photoalbums"] = _gpod._Itdb_PhotoDB_photoalbums_set
    __swig_getmethods__["photoalbums"] = _gpod._Itdb_PhotoDB_photoalbums_get
    if _newclass:photoalbums = _swig_property(_gpod._Itdb_PhotoDB_photoalbums_get, _gpod._Itdb_PhotoDB_photoalbums_set)
    __swig_setmethods__["device"] = _gpod._Itdb_PhotoDB_device_set
    __swig_getmethods__["device"] = _gpod._Itdb_PhotoDB_device_get
    if _newclass:device = _swig_property(_gpod._Itdb_PhotoDB_device_get, _gpod._Itdb_PhotoDB_device_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_PhotoDB_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_PhotoDB_usertype_get
    if _newclass:usertype = _swig_property(_gpod._Itdb_PhotoDB_usertype_get, _gpod._Itdb_PhotoDB_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_PhotoDB_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_PhotoDB_userdata_get
    if _newclass:userdata = _swig_property(_gpod._Itdb_PhotoDB_userdata_get, _gpod._Itdb_PhotoDB_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_PhotoDB_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_PhotoDB_userdata_duplicate_get
    if _newclass:userdata_duplicate = _swig_property(_gpod._Itdb_PhotoDB_userdata_duplicate_get, _gpod._Itdb_PhotoDB_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_PhotoDB_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_PhotoDB_userdata_destroy_get
    if _newclass:userdata_destroy = _swig_property(_gpod._Itdb_PhotoDB_userdata_destroy_get, _gpod._Itdb_PhotoDB_userdata_destroy_set)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_PhotoDB"""
        this = _gpod.new__Itdb_PhotoDB(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_PhotoDB
    __del__ = lambda self : None;
_Itdb_PhotoDB_swigregister = _gpod._Itdb_PhotoDB_swigregister
_Itdb_PhotoDB_swigregister(_Itdb_PhotoDB)

class _Itdb_iTunesDB(_object):
    """Proxy of C _Itdb_iTunesDB struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_iTunesDB, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_iTunesDB, name)
    __repr__ = _swig_repr
    __swig_setmethods__["tracks"] = _gpod._Itdb_iTunesDB_tracks_set
    __swig_getmethods__["tracks"] = _gpod._Itdb_iTunesDB_tracks_get
    if _newclass:tracks = _swig_property(_gpod._Itdb_iTunesDB_tracks_get, _gpod._Itdb_iTunesDB_tracks_set)
    __swig_setmethods__["playlists"] = _gpod._Itdb_iTunesDB_playlists_set
    __swig_getmethods__["playlists"] = _gpod._Itdb_iTunesDB_playlists_get
    if _newclass:playlists = _swig_property(_gpod._Itdb_iTunesDB_playlists_get, _gpod._Itdb_iTunesDB_playlists_set)
    __swig_setmethods__["filename"] = _gpod._Itdb_iTunesDB_filename_set
    __swig_getmethods__["filename"] = _gpod._Itdb_iTunesDB_filename_get
    if _newclass:filename = _swig_property(_gpod._Itdb_iTunesDB_filename_get, _gpod._Itdb_iTunesDB_filename_set)
    __swig_setmethods__["device"] = _gpod._Itdb_iTunesDB_device_set
    __swig_getmethods__["device"] = _gpod._Itdb_iTunesDB_device_get
    if _newclass:device = _swig_property(_gpod._Itdb_iTunesDB_device_get, _gpod._Itdb_iTunesDB_device_set)
    __swig_setmethods__["version"] = _gpod._Itdb_iTunesDB_version_set
    __swig_getmethods__["version"] = _gpod._Itdb_iTunesDB_version_get
    if _newclass:version = _swig_property(_gpod._Itdb_iTunesDB_version_get, _gpod._Itdb_iTunesDB_version_set)
    __swig_setmethods__["id"] = _gpod._Itdb_iTunesDB_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_iTunesDB_id_get
    if _newclass:id = _swig_property(_gpod._Itdb_iTunesDB_id_get, _gpod._Itdb_iTunesDB_id_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_iTunesDB_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_iTunesDB_usertype_get
    if _newclass:usertype = _swig_property(_gpod._Itdb_iTunesDB_usertype_get, _gpod._Itdb_iTunesDB_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_iTunesDB_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_iTunesDB_userdata_get
    if _newclass:userdata = _swig_property(_gpod._Itdb_iTunesDB_userdata_get, _gpod._Itdb_iTunesDB_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_iTunesDB_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_iTunesDB_userdata_duplicate_get
    if _newclass:userdata_duplicate = _swig_property(_gpod._Itdb_iTunesDB_userdata_duplicate_get, _gpod._Itdb_iTunesDB_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_iTunesDB_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_iTunesDB_userdata_destroy_get
    if _newclass:userdata_destroy = _swig_property(_gpod._Itdb_iTunesDB_userdata_destroy_get, _gpod._Itdb_iTunesDB_userdata_destroy_set)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_iTunesDB"""
        this = _gpod.new__Itdb_iTunesDB(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_iTunesDB
    __del__ = lambda self : None;
_Itdb_iTunesDB_swigregister = _gpod._Itdb_iTunesDB_swigregister
_Itdb_iTunesDB_swigregister(_Itdb_iTunesDB)

class _Itdb_PhotoAlbum(_object):
    """Proxy of C _Itdb_PhotoAlbum struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_PhotoAlbum, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_PhotoAlbum, name)
    __repr__ = _swig_repr
    __swig_setmethods__["name"] = _gpod._Itdb_PhotoAlbum_name_set
    __swig_getmethods__["name"] = _gpod._Itdb_PhotoAlbum_name_get
    if _newclass:name = _swig_property(_gpod._Itdb_PhotoAlbum_name_get, _gpod._Itdb_PhotoAlbum_name_set)
    __swig_setmethods__["members"] = _gpod._Itdb_PhotoAlbum_members_set
    __swig_getmethods__["members"] = _gpod._Itdb_PhotoAlbum_members_get
    if _newclass:members = _swig_property(_gpod._Itdb_PhotoAlbum_members_get, _gpod._Itdb_PhotoAlbum_members_set)
    __swig_setmethods__["album_type"] = _gpod._Itdb_PhotoAlbum_album_type_set
    __swig_getmethods__["album_type"] = _gpod._Itdb_PhotoAlbum_album_type_get
    if _newclass:album_type = _swig_property(_gpod._Itdb_PhotoAlbum_album_type_get, _gpod._Itdb_PhotoAlbum_album_type_set)
    __swig_setmethods__["playmusic"] = _gpod._Itdb_PhotoAlbum_playmusic_set
    __swig_getmethods__["playmusic"] = _gpod._Itdb_PhotoAlbum_playmusic_get
    if _newclass:playmusic = _swig_property(_gpod._Itdb_PhotoAlbum_playmusic_get, _gpod._Itdb_PhotoAlbum_playmusic_set)
    __swig_setmethods__["repeat"] = _gpod._Itdb_PhotoAlbum_repeat_set
    __swig_getmethods__["repeat"] = _gpod._Itdb_PhotoAlbum_repeat_get
    if _newclass:repeat = _swig_property(_gpod._Itdb_PhotoAlbum_repeat_get, _gpod._Itdb_PhotoAlbum_repeat_set)
    __swig_setmethods__["random"] = _gpod._Itdb_PhotoAlbum_random_set
    __swig_getmethods__["random"] = _gpod._Itdb_PhotoAlbum_random_get
    if _newclass:random = _swig_property(_gpod._Itdb_PhotoAlbum_random_get, _gpod._Itdb_PhotoAlbum_random_set)
    __swig_setmethods__["show_titles"] = _gpod._Itdb_PhotoAlbum_show_titles_set
    __swig_getmethods__["show_titles"] = _gpod._Itdb_PhotoAlbum_show_titles_get
    if _newclass:show_titles = _swig_property(_gpod._Itdb_PhotoAlbum_show_titles_get, _gpod._Itdb_PhotoAlbum_show_titles_set)
    __swig_setmethods__["transition_direction"] = _gpod._Itdb_PhotoAlbum_transition_direction_set
    __swig_getmethods__["transition_direction"] = _gpod._Itdb_PhotoAlbum_transition_direction_get
    if _newclass:transition_direction = _swig_property(_gpod._Itdb_PhotoAlbum_transition_direction_get, _gpod._Itdb_PhotoAlbum_transition_direction_set)
    __swig_setmethods__["slide_duration"] = _gpod._Itdb_PhotoAlbum_slide_duration_set
    __swig_getmethods__["slide_duration"] = _gpod._Itdb_PhotoAlbum_slide_duration_get
    if _newclass:slide_duration = _swig_property(_gpod._Itdb_PhotoAlbum_slide_duration_get, _gpod._Itdb_PhotoAlbum_slide_duration_set)
    __swig_setmethods__["transition_duration"] = _gpod._Itdb_PhotoAlbum_transition_duration_set
    __swig_getmethods__["transition_duration"] = _gpod._Itdb_PhotoAlbum_transition_duration_get
    if _newclass:transition_duration = _swig_property(_gpod._Itdb_PhotoAlbum_transition_duration_get, _gpod._Itdb_PhotoAlbum_transition_duration_set)
    __swig_setmethods__["song_id"] = _gpod._Itdb_PhotoAlbum_song_id_set
    __swig_getmethods__["song_id"] = _gpod._Itdb_PhotoAlbum_song_id_get
    if _newclass:song_id = _swig_property(_gpod._Itdb_PhotoAlbum_song_id_get, _gpod._Itdb_PhotoAlbum_song_id_set)
    __swig_setmethods__["unk024"] = _gpod._Itdb_PhotoAlbum_unk024_set
    __swig_getmethods__["unk024"] = _gpod._Itdb_PhotoAlbum_unk024_get
    if _newclass:unk024 = _swig_property(_gpod._Itdb_PhotoAlbum_unk024_get, _gpod._Itdb_PhotoAlbum_unk024_set)
    __swig_setmethods__["unk028"] = _gpod._Itdb_PhotoAlbum_unk028_set
    __swig_getmethods__["unk028"] = _gpod._Itdb_PhotoAlbum_unk028_get
    if _newclass:unk028 = _swig_property(_gpod._Itdb_PhotoAlbum_unk028_get, _gpod._Itdb_PhotoAlbum_unk028_set)
    __swig_setmethods__["unk044"] = _gpod._Itdb_PhotoAlbum_unk044_set
    __swig_getmethods__["unk044"] = _gpod._Itdb_PhotoAlbum_unk044_get
    if _newclass:unk044 = _swig_property(_gpod._Itdb_PhotoAlbum_unk044_get, _gpod._Itdb_PhotoAlbum_unk044_set)
    __swig_setmethods__["unk048"] = _gpod._Itdb_PhotoAlbum_unk048_set
    __swig_getmethods__["unk048"] = _gpod._Itdb_PhotoAlbum_unk048_get
    if _newclass:unk048 = _swig_property(_gpod._Itdb_PhotoAlbum_unk048_get, _gpod._Itdb_PhotoAlbum_unk048_set)
    __swig_setmethods__["album_id"] = _gpod._Itdb_PhotoAlbum_album_id_set
    __swig_getmethods__["album_id"] = _gpod._Itdb_PhotoAlbum_album_id_get
    if _newclass:album_id = _swig_property(_gpod._Itdb_PhotoAlbum_album_id_get, _gpod._Itdb_PhotoAlbum_album_id_set)
    __swig_setmethods__["prev_album_id"] = _gpod._Itdb_PhotoAlbum_prev_album_id_set
    __swig_getmethods__["prev_album_id"] = _gpod._Itdb_PhotoAlbum_prev_album_id_get
    if _newclass:prev_album_id = _swig_property(_gpod._Itdb_PhotoAlbum_prev_album_id_get, _gpod._Itdb_PhotoAlbum_prev_album_id_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_PhotoAlbum_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_PhotoAlbum_usertype_get
    if _newclass:usertype = _swig_property(_gpod._Itdb_PhotoAlbum_usertype_get, _gpod._Itdb_PhotoAlbum_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_PhotoAlbum_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_PhotoAlbum_userdata_get
    if _newclass:userdata = _swig_property(_gpod._Itdb_PhotoAlbum_userdata_get, _gpod._Itdb_PhotoAlbum_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_PhotoAlbum_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_PhotoAlbum_userdata_duplicate_get
    if _newclass:userdata_duplicate = _swig_property(_gpod._Itdb_PhotoAlbum_userdata_duplicate_get, _gpod._Itdb_PhotoAlbum_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_PhotoAlbum_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_PhotoAlbum_userdata_destroy_get
    if _newclass:userdata_destroy = _swig_property(_gpod._Itdb_PhotoAlbum_userdata_destroy_get, _gpod._Itdb_PhotoAlbum_userdata_destroy_set)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_PhotoAlbum"""
        this = _gpod.new__Itdb_PhotoAlbum(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_PhotoAlbum
    __del__ = lambda self : None;
_Itdb_PhotoAlbum_swigregister = _gpod._Itdb_PhotoAlbum_swigregister
_Itdb_PhotoAlbum_swigregister(_Itdb_PhotoAlbum)

class _Itdb_Playlist(_object):
    """Proxy of C _Itdb_Playlist struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Playlist, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Playlist, name)
    __repr__ = _swig_repr
    __swig_setmethods__["itdb"] = _gpod._Itdb_Playlist_itdb_set
    __swig_getmethods__["itdb"] = _gpod._Itdb_Playlist_itdb_get
    if _newclass:itdb = _swig_property(_gpod._Itdb_Playlist_itdb_get, _gpod._Itdb_Playlist_itdb_set)
    __swig_setmethods__["name"] = _gpod._Itdb_Playlist_name_set
    __swig_getmethods__["name"] = _gpod._Itdb_Playlist_name_get
    if _newclass:name = _swig_property(_gpod._Itdb_Playlist_name_get, _gpod._Itdb_Playlist_name_set)
    __swig_setmethods__["type"] = _gpod._Itdb_Playlist_type_set
    __swig_getmethods__["type"] = _gpod._Itdb_Playlist_type_get
    if _newclass:type = _swig_property(_gpod._Itdb_Playlist_type_get, _gpod._Itdb_Playlist_type_set)
    __swig_setmethods__["flag1"] = _gpod._Itdb_Playlist_flag1_set
    __swig_getmethods__["flag1"] = _gpod._Itdb_Playlist_flag1_get
    if _newclass:flag1 = _swig_property(_gpod._Itdb_Playlist_flag1_get, _gpod._Itdb_Playlist_flag1_set)
    __swig_setmethods__["flag2"] = _gpod._Itdb_Playlist_flag2_set
    __swig_getmethods__["flag2"] = _gpod._Itdb_Playlist_flag2_get
    if _newclass:flag2 = _swig_property(_gpod._Itdb_Playlist_flag2_get, _gpod._Itdb_Playlist_flag2_set)
    __swig_setmethods__["flag3"] = _gpod._Itdb_Playlist_flag3_set
    __swig_getmethods__["flag3"] = _gpod._Itdb_Playlist_flag3_get
    if _newclass:flag3 = _swig_property(_gpod._Itdb_Playlist_flag3_get, _gpod._Itdb_Playlist_flag3_set)
    __swig_setmethods__["num"] = _gpod._Itdb_Playlist_num_set
    __swig_getmethods__["num"] = _gpod._Itdb_Playlist_num_get
    if _newclass:num = _swig_property(_gpod._Itdb_Playlist_num_get, _gpod._Itdb_Playlist_num_set)
    __swig_setmethods__["members"] = _gpod._Itdb_Playlist_members_set
    __swig_getmethods__["members"] = _gpod._Itdb_Playlist_members_get
    if _newclass:members = _swig_property(_gpod._Itdb_Playlist_members_get, _gpod._Itdb_Playlist_members_set)
    __swig_setmethods__["is_spl"] = _gpod._Itdb_Playlist_is_spl_set
    __swig_getmethods__["is_spl"] = _gpod._Itdb_Playlist_is_spl_get
    if _newclass:is_spl = _swig_property(_gpod._Itdb_Playlist_is_spl_get, _gpod._Itdb_Playlist_is_spl_set)
    __swig_setmethods__["timestamp"] = _gpod._Itdb_Playlist_timestamp_set
    __swig_getmethods__["timestamp"] = _gpod._Itdb_Playlist_timestamp_get
    if _newclass:timestamp = _swig_property(_gpod._Itdb_Playlist_timestamp_get, _gpod._Itdb_Playlist_timestamp_set)
    __swig_setmethods__["id"] = _gpod._Itdb_Playlist_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_Playlist_id_get
    if _newclass:id = _swig_property(_gpod._Itdb_Playlist_id_get, _gpod._Itdb_Playlist_id_set)
    __swig_setmethods__["sortorder"] = _gpod._Itdb_Playlist_sortorder_set
    __swig_getmethods__["sortorder"] = _gpod._Itdb_Playlist_sortorder_get
    if _newclass:sortorder = _swig_property(_gpod._Itdb_Playlist_sortorder_get, _gpod._Itdb_Playlist_sortorder_set)
    __swig_setmethods__["podcastflag"] = _gpod._Itdb_Playlist_podcastflag_set
    __swig_getmethods__["podcastflag"] = _gpod._Itdb_Playlist_podcastflag_get
    if _newclass:podcastflag = _swig_property(_gpod._Itdb_Playlist_podcastflag_get, _gpod._Itdb_Playlist_podcastflag_set)
    __swig_setmethods__["splpref"] = _gpod._Itdb_Playlist_splpref_set
    __swig_getmethods__["splpref"] = _gpod._Itdb_Playlist_splpref_get
    if _newclass:splpref = _swig_property(_gpod._Itdb_Playlist_splpref_get, _gpod._Itdb_Playlist_splpref_set)
    __swig_setmethods__["splrules"] = _gpod._Itdb_Playlist_splrules_set
    __swig_getmethods__["splrules"] = _gpod._Itdb_Playlist_splrules_get
    if _newclass:splrules = _swig_property(_gpod._Itdb_Playlist_splrules_get, _gpod._Itdb_Playlist_splrules_set)
    __swig_setmethods__["reserved1"] = _gpod._Itdb_Playlist_reserved1_set
    __swig_getmethods__["reserved1"] = _gpod._Itdb_Playlist_reserved1_get
    if _newclass:reserved1 = _swig_property(_gpod._Itdb_Playlist_reserved1_get, _gpod._Itdb_Playlist_reserved1_set)
    __swig_setmethods__["reserved2"] = _gpod._Itdb_Playlist_reserved2_set
    __swig_getmethods__["reserved2"] = _gpod._Itdb_Playlist_reserved2_get
    if _newclass:reserved2 = _swig_property(_gpod._Itdb_Playlist_reserved2_get, _gpod._Itdb_Playlist_reserved2_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_Playlist_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_Playlist_usertype_get
    if _newclass:usertype = _swig_property(_gpod._Itdb_Playlist_usertype_get, _gpod._Itdb_Playlist_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_Playlist_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_Playlist_userdata_get
    if _newclass:userdata = _swig_property(_gpod._Itdb_Playlist_userdata_get, _gpod._Itdb_Playlist_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_Playlist_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_Playlist_userdata_duplicate_get
    if _newclass:userdata_duplicate = _swig_property(_gpod._Itdb_Playlist_userdata_duplicate_get, _gpod._Itdb_Playlist_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_Playlist_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_Playlist_userdata_destroy_get
    if _newclass:userdata_destroy = _swig_property(_gpod._Itdb_Playlist_userdata_destroy_get, _gpod._Itdb_Playlist_userdata_destroy_set)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_Playlist"""
        this = _gpod.new__Itdb_Playlist(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_Playlist
    __del__ = lambda self : None;
_Itdb_Playlist_swigregister = _gpod._Itdb_Playlist_swigregister
_Itdb_Playlist_swigregister(_Itdb_Playlist)

ITDB_PSO_MANUAL = _gpod.ITDB_PSO_MANUAL
ITDB_PSO_TITLE = _gpod.ITDB_PSO_TITLE
ITDB_PSO_ALBUM = _gpod.ITDB_PSO_ALBUM
ITDB_PSO_ARTIST = _gpod.ITDB_PSO_ARTIST
ITDB_PSO_BIRATE = _gpod.ITDB_PSO_BIRATE
ITDB_PSO_GENRE = _gpod.ITDB_PSO_GENRE
ITDB_PSO_FILETYPE = _gpod.ITDB_PSO_FILETYPE
ITDB_PSO_TIME_MODIFIED = _gpod.ITDB_PSO_TIME_MODIFIED
ITDB_PSO_TRACK_NR = _gpod.ITDB_PSO_TRACK_NR
ITDB_PSO_SIZE = _gpod.ITDB_PSO_SIZE
ITDB_PSO_TIME = _gpod.ITDB_PSO_TIME
ITDB_PSO_YEAR = _gpod.ITDB_PSO_YEAR
ITDB_PSO_SAMPLERATE = _gpod.ITDB_PSO_SAMPLERATE
ITDB_PSO_COMMENT = _gpod.ITDB_PSO_COMMENT
ITDB_PSO_TIME_ADDED = _gpod.ITDB_PSO_TIME_ADDED
ITDB_PSO_EQUALIZER = _gpod.ITDB_PSO_EQUALIZER
ITDB_PSO_COMPOSER = _gpod.ITDB_PSO_COMPOSER
ITDB_PSO_PLAYCOUNT = _gpod.ITDB_PSO_PLAYCOUNT
ITDB_PSO_TIME_PLAYED = _gpod.ITDB_PSO_TIME_PLAYED
ITDB_PSO_CD_NR = _gpod.ITDB_PSO_CD_NR
ITDB_PSO_RATING = _gpod.ITDB_PSO_RATING
ITDB_PSO_RELEASE_DATE = _gpod.ITDB_PSO_RELEASE_DATE
ITDB_PSO_BPM = _gpod.ITDB_PSO_BPM
ITDB_PSO_GROUPING = _gpod.ITDB_PSO_GROUPING
ITDB_PSO_CATEGORY = _gpod.ITDB_PSO_CATEGORY
ITDB_PSO_DESCRIPTION = _gpod.ITDB_PSO_DESCRIPTION
class _Itdb_Track(_object):
    """Proxy of C _Itdb_Track struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Track, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Track, name)
    __repr__ = _swig_repr
    __swig_setmethods__["itdb"] = _gpod._Itdb_Track_itdb_set
    __swig_getmethods__["itdb"] = _gpod._Itdb_Track_itdb_get
    if _newclass:itdb = _swig_property(_gpod._Itdb_Track_itdb_get, _gpod._Itdb_Track_itdb_set)
    __swig_setmethods__["title"] = _gpod._Itdb_Track_title_set
    __swig_getmethods__["title"] = _gpod._Itdb_Track_title_get
    if _newclass:title = _swig_property(_gpod._Itdb_Track_title_get, _gpod._Itdb_Track_title_set)
    __swig_setmethods__["ipod_path"] = _gpod._Itdb_Track_ipod_path_set
    __swig_getmethods__["ipod_path"] = _gpod._Itdb_Track_ipod_path_get
    if _newclass:ipod_path = _swig_property(_gpod._Itdb_Track_ipod_path_get, _gpod._Itdb_Track_ipod_path_set)
    __swig_setmethods__["album"] = _gpod._Itdb_Track_album_set
    __swig_getmethods__["album"] = _gpod._Itdb_Track_album_get
    if _newclass:album = _swig_property(_gpod._Itdb_Track_album_get, _gpod._Itdb_Track_album_set)
    __swig_setmethods__["artist"] = _gpod._Itdb_Track_artist_set
    __swig_getmethods__["artist"] = _gpod._Itdb_Track_artist_get
    if _newclass:artist = _swig_property(_gpod._Itdb_Track_artist_get, _gpod._Itdb_Track_artist_set)
    __swig_setmethods__["genre"] = _gpod._Itdb_Track_genre_set
    __swig_getmethods__["genre"] = _gpod._Itdb_Track_genre_get
    if _newclass:genre = _swig_property(_gpod._Itdb_Track_genre_get, _gpod._Itdb_Track_genre_set)
    __swig_setmethods__["filetype"] = _gpod._Itdb_Track_filetype_set
    __swig_getmethods__["filetype"] = _gpod._Itdb_Track_filetype_get
    if _newclass:filetype = _swig_property(_gpod._Itdb_Track_filetype_get, _gpod._Itdb_Track_filetype_set)
    __swig_setmethods__["comment"] = _gpod._Itdb_Track_comment_set
    __swig_getmethods__["comment"] = _gpod._Itdb_Track_comment_get
    if _newclass:comment = _swig_property(_gpod._Itdb_Track_comment_get, _gpod._Itdb_Track_comment_set)
    __swig_setmethods__["category"] = _gpod._Itdb_Track_category_set
    __swig_getmethods__["category"] = _gpod._Itdb_Track_category_get
    if _newclass:category = _swig_property(_gpod._Itdb_Track_category_get, _gpod._Itdb_Track_category_set)
    __swig_setmethods__["composer"] = _gpod._Itdb_Track_composer_set
    __swig_getmethods__["composer"] = _gpod._Itdb_Track_composer_get
    if _newclass:composer = _swig_property(_gpod._Itdb_Track_composer_get, _gpod._Itdb_Track_composer_set)
    __swig_setmethods__["grouping"] = _gpod._Itdb_Track_grouping_set
    __swig_getmethods__["grouping"] = _gpod._Itdb_Track_grouping_get
    if _newclass:grouping = _swig_property(_gpod._Itdb_Track_grouping_get, _gpod._Itdb_Track_grouping_set)
    __swig_setmethods__["description"] = _gpod._Itdb_Track_description_set
    __swig_getmethods__["description"] = _gpod._Itdb_Track_description_get
    if _newclass:description = _swig_property(_gpod._Itdb_Track_description_get, _gpod._Itdb_Track_description_set)
    __swig_setmethods__["podcasturl"] = _gpod._Itdb_Track_podcasturl_set
    __swig_getmethods__["podcasturl"] = _gpod._Itdb_Track_podcasturl_get
    if _newclass:podcasturl = _swig_property(_gpod._Itdb_Track_podcasturl_get, _gpod._Itdb_Track_podcasturl_set)
    __swig_setmethods__["podcastrss"] = _gpod._Itdb_Track_podcastrss_set
    __swig_getmethods__["podcastrss"] = _gpod._Itdb_Track_podcastrss_get
    if _newclass:podcastrss = _swig_property(_gpod._Itdb_Track_podcastrss_get, _gpod._Itdb_Track_podcastrss_set)
    __swig_setmethods__["chapterdata"] = _gpod._Itdb_Track_chapterdata_set
    __swig_getmethods__["chapterdata"] = _gpod._Itdb_Track_chapterdata_get
    if _newclass:chapterdata = _swig_property(_gpod._Itdb_Track_chapterdata_get, _gpod._Itdb_Track_chapterdata_set)
    __swig_setmethods__["subtitle"] = _gpod._Itdb_Track_subtitle_set
    __swig_getmethods__["subtitle"] = _gpod._Itdb_Track_subtitle_get
    if _newclass:subtitle = _swig_property(_gpod._Itdb_Track_subtitle_get, _gpod._Itdb_Track_subtitle_set)
    __swig_setmethods__["tvshow"] = _gpod._Itdb_Track_tvshow_set
    __swig_getmethods__["tvshow"] = _gpod._Itdb_Track_tvshow_get
    if _newclass:tvshow = _swig_property(_gpod._Itdb_Track_tvshow_get, _gpod._Itdb_Track_tvshow_set)
    __swig_setmethods__["tvepisode"] = _gpod._Itdb_Track_tvepisode_set
    __swig_getmethods__["tvepisode"] = _gpod._Itdb_Track_tvepisode_get
    if _newclass:tvepisode = _swig_property(_gpod._Itdb_Track_tvepisode_get, _gpod._Itdb_Track_tvepisode_set)
    __swig_setmethods__["tvnetwork"] = _gpod._Itdb_Track_tvnetwork_set
    __swig_getmethods__["tvnetwork"] = _gpod._Itdb_Track_tvnetwork_get
    if _newclass:tvnetwork = _swig_property(_gpod._Itdb_Track_tvnetwork_get, _gpod._Itdb_Track_tvnetwork_set)
    __swig_setmethods__["albumartist"] = _gpod._Itdb_Track_albumartist_set
    __swig_getmethods__["albumartist"] = _gpod._Itdb_Track_albumartist_get
    if _newclass:albumartist = _swig_property(_gpod._Itdb_Track_albumartist_get, _gpod._Itdb_Track_albumartist_set)
    __swig_setmethods__["keywords"] = _gpod._Itdb_Track_keywords_set
    __swig_getmethods__["keywords"] = _gpod._Itdb_Track_keywords_get
    if _newclass:keywords = _swig_property(_gpod._Itdb_Track_keywords_get, _gpod._Itdb_Track_keywords_set)
    __swig_setmethods__["reserved"] = _gpod._Itdb_Track_reserved_set
    __swig_getmethods__["reserved"] = _gpod._Itdb_Track_reserved_get
    if _newclass:reserved = _swig_property(_gpod._Itdb_Track_reserved_get, _gpod._Itdb_Track_reserved_set)
    __swig_setmethods__["id"] = _gpod._Itdb_Track_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_Track_id_get
    if _newclass:id = _swig_property(_gpod._Itdb_Track_id_get, _gpod._Itdb_Track_id_set)
    __swig_setmethods__["size"] = _gpod._Itdb_Track_size_set
    __swig_getmethods__["size"] = _gpod._Itdb_Track_size_get
    if _newclass:size = _swig_property(_gpod._Itdb_Track_size_get, _gpod._Itdb_Track_size_set)
    __swig_setmethods__["tracklen"] = _gpod._Itdb_Track_tracklen_set
    __swig_getmethods__["tracklen"] = _gpod._Itdb_Track_tracklen_get
    if _newclass:tracklen = _swig_property(_gpod._Itdb_Track_tracklen_get, _gpod._Itdb_Track_tracklen_set)
    __swig_setmethods__["cd_nr"] = _gpod._Itdb_Track_cd_nr_set
    __swig_getmethods__["cd_nr"] = _gpod._Itdb_Track_cd_nr_get
    if _newclass:cd_nr = _swig_property(_gpod._Itdb_Track_cd_nr_get, _gpod._Itdb_Track_cd_nr_set)
    __swig_setmethods__["cds"] = _gpod._Itdb_Track_cds_set
    __swig_getmethods__["cds"] = _gpod._Itdb_Track_cds_get
    if _newclass:cds = _swig_property(_gpod._Itdb_Track_cds_get, _gpod._Itdb_Track_cds_set)
    __swig_setmethods__["track_nr"] = _gpod._Itdb_Track_track_nr_set
    __swig_getmethods__["track_nr"] = _gpod._Itdb_Track_track_nr_get
    if _newclass:track_nr = _swig_property(_gpod._Itdb_Track_track_nr_get, _gpod._Itdb_Track_track_nr_set)
    __swig_setmethods__["tracks"] = _gpod._Itdb_Track_tracks_set
    __swig_getmethods__["tracks"] = _gpod._Itdb_Track_tracks_get
    if _newclass:tracks = _swig_property(_gpod._Itdb_Track_tracks_get, _gpod._Itdb_Track_tracks_set)
    __swig_setmethods__["bitrate"] = _gpod._Itdb_Track_bitrate_set
    __swig_getmethods__["bitrate"] = _gpod._Itdb_Track_bitrate_get
    if _newclass:bitrate = _swig_property(_gpod._Itdb_Track_bitrate_get, _gpod._Itdb_Track_bitrate_set)
    __swig_setmethods__["samplerate"] = _gpod._Itdb_Track_samplerate_set
    __swig_getmethods__["samplerate"] = _gpod._Itdb_Track_samplerate_get
    if _newclass:samplerate = _swig_property(_gpod._Itdb_Track_samplerate_get, _gpod._Itdb_Track_samplerate_set)
    __swig_setmethods__["samplerate_low"] = _gpod._Itdb_Track_samplerate_low_set
    __swig_getmethods__["samplerate_low"] = _gpod._Itdb_Track_samplerate_low_get
    if _newclass:samplerate_low = _swig_property(_gpod._Itdb_Track_samplerate_low_get, _gpod._Itdb_Track_samplerate_low_set)
    __swig_setmethods__["year"] = _gpod._Itdb_Track_year_set
    __swig_getmethods__["year"] = _gpod._Itdb_Track_year_get
    if _newclass:year = _swig_property(_gpod._Itdb_Track_year_get, _gpod._Itdb_Track_year_set)
    __swig_setmethods__["volume"] = _gpod._Itdb_Track_volume_set
    __swig_getmethods__["volume"] = _gpod._Itdb_Track_volume_get
    if _newclass:volume = _swig_property(_gpod._Itdb_Track_volume_get, _gpod._Itdb_Track_volume_set)
    __swig_setmethods__["soundcheck"] = _gpod._Itdb_Track_soundcheck_set
    __swig_getmethods__["soundcheck"] = _gpod._Itdb_Track_soundcheck_get
    if _newclass:soundcheck = _swig_property(_gpod._Itdb_Track_soundcheck_get, _gpod._Itdb_Track_soundcheck_set)
    __swig_setmethods__["time_added"] = _gpod._Itdb_Track_time_added_set
    __swig_getmethods__["time_added"] = _gpod._Itdb_Track_time_added_get
    if _newclass:time_added = _swig_property(_gpod._Itdb_Track_time_added_get, _gpod._Itdb_Track_time_added_set)
    __swig_setmethods__["time_played"] = _gpod._Itdb_Track_time_played_set
    __swig_getmethods__["time_played"] = _gpod._Itdb_Track_time_played_get
    if _newclass:time_played = _swig_property(_gpod._Itdb_Track_time_played_get, _gpod._Itdb_Track_time_played_set)
    __swig_setmethods__["time_modified"] = _gpod._Itdb_Track_time_modified_set
    __swig_getmethods__["time_modified"] = _gpod._Itdb_Track_time_modified_get
    if _newclass:time_modified = _swig_property(_gpod._Itdb_Track_time_modified_get, _gpod._Itdb_Track_time_modified_set)
    __swig_setmethods__["bookmark_time"] = _gpod._Itdb_Track_bookmark_time_set
    __swig_getmethods__["bookmark_time"] = _gpod._Itdb_Track_bookmark_time_get
    if _newclass:bookmark_time = _swig_property(_gpod._Itdb_Track_bookmark_time_get, _gpod._Itdb_Track_bookmark_time_set)
    __swig_setmethods__["rating"] = _gpod._Itdb_Track_rating_set
    __swig_getmethods__["rating"] = _gpod._Itdb_Track_rating_get
    if _newclass:rating = _swig_property(_gpod._Itdb_Track_rating_get, _gpod._Itdb_Track_rating_set)
    __swig_setmethods__["playcount"] = _gpod._Itdb_Track_playcount_set
    __swig_getmethods__["playcount"] = _gpod._Itdb_Track_playcount_get
    if _newclass:playcount = _swig_property(_gpod._Itdb_Track_playcount_get, _gpod._Itdb_Track_playcount_set)
    __swig_setmethods__["playcount2"] = _gpod._Itdb_Track_playcount2_set
    __swig_getmethods__["playcount2"] = _gpod._Itdb_Track_playcount2_get
    if _newclass:playcount2 = _swig_property(_gpod._Itdb_Track_playcount2_get, _gpod._Itdb_Track_playcount2_set)
    __swig_setmethods__["recent_playcount"] = _gpod._Itdb_Track_recent_playcount_set
    __swig_getmethods__["recent_playcount"] = _gpod._Itdb_Track_recent_playcount_get
    if _newclass:recent_playcount = _swig_property(_gpod._Itdb_Track_recent_playcount_get, _gpod._Itdb_Track_recent_playcount_set)
    __swig_setmethods__["transferred"] = _gpod._Itdb_Track_transferred_set
    __swig_getmethods__["transferred"] = _gpod._Itdb_Track_transferred_get
    if _newclass:transferred = _swig_property(_gpod._Itdb_Track_transferred_get, _gpod._Itdb_Track_transferred_set)
    __swig_setmethods__["BPM"] = _gpod._Itdb_Track_BPM_set
    __swig_getmethods__["BPM"] = _gpod._Itdb_Track_BPM_get
    if _newclass:BPM = _swig_property(_gpod._Itdb_Track_BPM_get, _gpod._Itdb_Track_BPM_set)
    __swig_setmethods__["app_rating"] = _gpod._Itdb_Track_app_rating_set
    __swig_getmethods__["app_rating"] = _gpod._Itdb_Track_app_rating_get
    if _newclass:app_rating = _swig_property(_gpod._Itdb_Track_app_rating_get, _gpod._Itdb_Track_app_rating_set)
    __swig_setmethods__["type1"] = _gpod._Itdb_Track_type1_set
    __swig_getmethods__["type1"] = _gpod._Itdb_Track_type1_get
    if _newclass:type1 = _swig_property(_gpod._Itdb_Track_type1_get, _gpod._Itdb_Track_type1_set)
    __swig_setmethods__["type2"] = _gpod._Itdb_Track_type2_set
    __swig_getmethods__["type2"] = _gpod._Itdb_Track_type2_get
    if _newclass:type2 = _swig_property(_gpod._Itdb_Track_type2_get, _gpod._Itdb_Track_type2_set)
    __swig_setmethods__["compilation"] = _gpod._Itdb_Track_compilation_set
    __swig_getmethods__["compilation"] = _gpod._Itdb_Track_compilation_get
    if _newclass:compilation = _swig_property(_gpod._Itdb_Track_compilation_get, _gpod._Itdb_Track_compilation_set)
    __swig_setmethods__["starttime"] = _gpod._Itdb_Track_starttime_set
    __swig_getmethods__["starttime"] = _gpod._Itdb_Track_starttime_get
    if _newclass:starttime = _swig_property(_gpod._Itdb_Track_starttime_get, _gpod._Itdb_Track_starttime_set)
    __swig_setmethods__["stoptime"] = _gpod._Itdb_Track_stoptime_set
    __swig_getmethods__["stoptime"] = _gpod._Itdb_Track_stoptime_get
    if _newclass:stoptime = _swig_property(_gpod._Itdb_Track_stoptime_get, _gpod._Itdb_Track_stoptime_set)
    __swig_setmethods__["checked"] = _gpod._Itdb_Track_checked_set
    __swig_getmethods__["checked"] = _gpod._Itdb_Track_checked_get
    if _newclass:checked = _swig_property(_gpod._Itdb_Track_checked_get, _gpod._Itdb_Track_checked_set)
    __swig_setmethods__["dbid"] = _gpod._Itdb_Track_dbid_set
    __swig_getmethods__["dbid"] = _gpod._Itdb_Track_dbid_get
    if _newclass:dbid = _swig_property(_gpod._Itdb_Track_dbid_get, _gpod._Itdb_Track_dbid_set)
    __swig_setmethods__["drm_userid"] = _gpod._Itdb_Track_drm_userid_set
    __swig_getmethods__["drm_userid"] = _gpod._Itdb_Track_drm_userid_get
    if _newclass:drm_userid = _swig_property(_gpod._Itdb_Track_drm_userid_get, _gpod._Itdb_Track_drm_userid_set)
    __swig_setmethods__["visible"] = _gpod._Itdb_Track_visible_set
    __swig_getmethods__["visible"] = _gpod._Itdb_Track_visible_get
    if _newclass:visible = _swig_property(_gpod._Itdb_Track_visible_get, _gpod._Itdb_Track_visible_set)
    __swig_setmethods__["filetype_marker"] = _gpod._Itdb_Track_filetype_marker_set
    __swig_getmethods__["filetype_marker"] = _gpod._Itdb_Track_filetype_marker_get
    if _newclass:filetype_marker = _swig_property(_gpod._Itdb_Track_filetype_marker_get, _gpod._Itdb_Track_filetype_marker_set)
    __swig_setmethods__["artwork_count"] = _gpod._Itdb_Track_artwork_count_set
    __swig_getmethods__["artwork_count"] = _gpod._Itdb_Track_artwork_count_get
    if _newclass:artwork_count = _swig_property(_gpod._Itdb_Track_artwork_count_get, _gpod._Itdb_Track_artwork_count_set)
    __swig_setmethods__["artwork_size"] = _gpod._Itdb_Track_artwork_size_set
    __swig_getmethods__["artwork_size"] = _gpod._Itdb_Track_artwork_size_get
    if _newclass:artwork_size = _swig_property(_gpod._Itdb_Track_artwork_size_get, _gpod._Itdb_Track_artwork_size_set)
    __swig_setmethods__["samplerate2"] = _gpod._Itdb_Track_samplerate2_set
    __swig_getmethods__["samplerate2"] = _gpod._Itdb_Track_samplerate2_get
    if _newclass:samplerate2 = _swig_property(_gpod._Itdb_Track_samplerate2_get, _gpod._Itdb_Track_samplerate2_set)
    __swig_setmethods__["unk126"] = _gpod._Itdb_Track_unk126_set
    __swig_getmethods__["unk126"] = _gpod._Itdb_Track_unk126_get
    if _newclass:unk126 = _swig_property(_gpod._Itdb_Track_unk126_get, _gpod._Itdb_Track_unk126_set)
    __swig_setmethods__["unk132"] = _gpod._Itdb_Track_unk132_set
    __swig_getmethods__["unk132"] = _gpod._Itdb_Track_unk132_get
    if _newclass:unk132 = _swig_property(_gpod._Itdb_Track_unk132_get, _gpod._Itdb_Track_unk132_set)
    __swig_setmethods__["time_released"] = _gpod._Itdb_Track_time_released_set
    __swig_getmethods__["time_released"] = _gpod._Itdb_Track_time_released_get
    if _newclass:time_released = _swig_property(_gpod._Itdb_Track_time_released_get, _gpod._Itdb_Track_time_released_set)
    __swig_setmethods__["unk144"] = _gpod._Itdb_Track_unk144_set
    __swig_getmethods__["unk144"] = _gpod._Itdb_Track_unk144_get
    if _newclass:unk144 = _swig_property(_gpod._Itdb_Track_unk144_get, _gpod._Itdb_Track_unk144_set)
    __swig_setmethods__["unk146"] = _gpod._Itdb_Track_unk146_set
    __swig_getmethods__["unk146"] = _gpod._Itdb_Track_unk146_get
    if _newclass:unk146 = _swig_property(_gpod._Itdb_Track_unk146_get, _gpod._Itdb_Track_unk146_set)
    __swig_setmethods__["unk148"] = _gpod._Itdb_Track_unk148_set
    __swig_getmethods__["unk148"] = _gpod._Itdb_Track_unk148_get
    if _newclass:unk148 = _swig_property(_gpod._Itdb_Track_unk148_get, _gpod._Itdb_Track_unk148_set)
    __swig_setmethods__["unk152"] = _gpod._Itdb_Track_unk152_set
    __swig_getmethods__["unk152"] = _gpod._Itdb_Track_unk152_get
    if _newclass:unk152 = _swig_property(_gpod._Itdb_Track_unk152_get, _gpod._Itdb_Track_unk152_set)
    __swig_setmethods__["skipcount"] = _gpod._Itdb_Track_skipcount_set
    __swig_getmethods__["skipcount"] = _gpod._Itdb_Track_skipcount_get
    if _newclass:skipcount = _swig_property(_gpod._Itdb_Track_skipcount_get, _gpod._Itdb_Track_skipcount_set)
    __swig_setmethods__["recent_skipcount"] = _gpod._Itdb_Track_recent_skipcount_set
    __swig_getmethods__["recent_skipcount"] = _gpod._Itdb_Track_recent_skipcount_get
    if _newclass:recent_skipcount = _swig_property(_gpod._Itdb_Track_recent_skipcount_get, _gpod._Itdb_Track_recent_skipcount_set)
    __swig_setmethods__["last_skipped"] = _gpod._Itdb_Track_last_skipped_set
    __swig_getmethods__["last_skipped"] = _gpod._Itdb_Track_last_skipped_get
    if _newclass:last_skipped = _swig_property(_gpod._Itdb_Track_last_skipped_get, _gpod._Itdb_Track_last_skipped_set)
    __swig_setmethods__["has_artwork"] = _gpod._Itdb_Track_has_artwork_set
    __swig_getmethods__["has_artwork"] = _gpod._Itdb_Track_has_artwork_get
    if _newclass:has_artwork = _swig_property(_gpod._Itdb_Track_has_artwork_get, _gpod._Itdb_Track_has_artwork_set)
    __swig_setmethods__["skip_when_shuffling"] = _gpod._Itdb_Track_skip_when_shuffling_set
    __swig_getmethods__["skip_when_shuffling"] = _gpod._Itdb_Track_skip_when_shuffling_get
    if _newclass:skip_when_shuffling = _swig_property(_gpod._Itdb_Track_skip_when_shuffling_get, _gpod._Itdb_Track_skip_when_shuffling_set)
    __swig_setmethods__["remember_playback_position"] = _gpod._Itdb_Track_remember_playback_position_set
    __swig_getmethods__["remember_playback_position"] = _gpod._Itdb_Track_remember_playback_position_get
    if _newclass:remember_playback_position = _swig_property(_gpod._Itdb_Track_remember_playback_position_get, _gpod._Itdb_Track_remember_playback_position_set)
    __swig_setmethods__["flag4"] = _gpod._Itdb_Track_flag4_set
    __swig_getmethods__["flag4"] = _gpod._Itdb_Track_flag4_get
    if _newclass:flag4 = _swig_property(_gpod._Itdb_Track_flag4_get, _gpod._Itdb_Track_flag4_set)
    __swig_setmethods__["dbid2"] = _gpod._Itdb_Track_dbid2_set
    __swig_getmethods__["dbid2"] = _gpod._Itdb_Track_dbid2_get
    if _newclass:dbid2 = _swig_property(_gpod._Itdb_Track_dbid2_get, _gpod._Itdb_Track_dbid2_set)
    __swig_setmethods__["lyrics_flag"] = _gpod._Itdb_Track_lyrics_flag_set
    __swig_getmethods__["lyrics_flag"] = _gpod._Itdb_Track_lyrics_flag_get
    if _newclass:lyrics_flag = _swig_property(_gpod._Itdb_Track_lyrics_flag_get, _gpod._Itdb_Track_lyrics_flag_set)
    __swig_setmethods__["movie_flag"] = _gpod._Itdb_Track_movie_flag_set
    __swig_getmethods__["movie_flag"] = _gpod._Itdb_Track_movie_flag_get
    if _newclass:movie_flag = _swig_property(_gpod._Itdb_Track_movie_flag_get, _gpod._Itdb_Track_movie_flag_set)
    __swig_setmethods__["mark_unplayed"] = _gpod._Itdb_Track_mark_unplayed_set
    __swig_getmethods__["mark_unplayed"] = _gpod._Itdb_Track_mark_unplayed_get
    if _newclass:mark_unplayed = _swig_property(_gpod._Itdb_Track_mark_unplayed_get, _gpod._Itdb_Track_mark_unplayed_set)
    __swig_setmethods__["unk179"] = _gpod._Itdb_Track_unk179_set
    __swig_getmethods__["unk179"] = _gpod._Itdb_Track_unk179_get
    if _newclass:unk179 = _swig_property(_gpod._Itdb_Track_unk179_get, _gpod._Itdb_Track_unk179_set)
    __swig_setmethods__["unk180"] = _gpod._Itdb_Track_unk180_set
    __swig_getmethods__["unk180"] = _gpod._Itdb_Track_unk180_get
    if _newclass:unk180 = _swig_property(_gpod._Itdb_Track_unk180_get, _gpod._Itdb_Track_unk180_set)
    __swig_setmethods__["pregap"] = _gpod._Itdb_Track_pregap_set
    __swig_getmethods__["pregap"] = _gpod._Itdb_Track_pregap_get
    if _newclass:pregap = _swig_property(_gpod._Itdb_Track_pregap_get, _gpod._Itdb_Track_pregap_set)
    __swig_setmethods__["samplecount"] = _gpod._Itdb_Track_samplecount_set
    __swig_getmethods__["samplecount"] = _gpod._Itdb_Track_samplecount_get
    if _newclass:samplecount = _swig_property(_gpod._Itdb_Track_samplecount_get, _gpod._Itdb_Track_samplecount_set)
    __swig_setmethods__["unk196"] = _gpod._Itdb_Track_unk196_set
    __swig_getmethods__["unk196"] = _gpod._Itdb_Track_unk196_get
    if _newclass:unk196 = _swig_property(_gpod._Itdb_Track_unk196_get, _gpod._Itdb_Track_unk196_set)
    __swig_setmethods__["postgap"] = _gpod._Itdb_Track_postgap_set
    __swig_getmethods__["postgap"] = _gpod._Itdb_Track_postgap_get
    if _newclass:postgap = _swig_property(_gpod._Itdb_Track_postgap_get, _gpod._Itdb_Track_postgap_set)
    __swig_setmethods__["unk204"] = _gpod._Itdb_Track_unk204_set
    __swig_getmethods__["unk204"] = _gpod._Itdb_Track_unk204_get
    if _newclass:unk204 = _swig_property(_gpod._Itdb_Track_unk204_get, _gpod._Itdb_Track_unk204_set)
    __swig_setmethods__["mediatype"] = _gpod._Itdb_Track_mediatype_set
    __swig_getmethods__["mediatype"] = _gpod._Itdb_Track_mediatype_get
    if _newclass:mediatype = _swig_property(_gpod._Itdb_Track_mediatype_get, _gpod._Itdb_Track_mediatype_set)
    __swig_setmethods__["season_nr"] = _gpod._Itdb_Track_season_nr_set
    __swig_getmethods__["season_nr"] = _gpod._Itdb_Track_season_nr_get
    if _newclass:season_nr = _swig_property(_gpod._Itdb_Track_season_nr_get, _gpod._Itdb_Track_season_nr_set)
    __swig_setmethods__["episode_nr"] = _gpod._Itdb_Track_episode_nr_set
    __swig_getmethods__["episode_nr"] = _gpod._Itdb_Track_episode_nr_get
    if _newclass:episode_nr = _swig_property(_gpod._Itdb_Track_episode_nr_get, _gpod._Itdb_Track_episode_nr_set)
    __swig_setmethods__["unk220"] = _gpod._Itdb_Track_unk220_set
    __swig_getmethods__["unk220"] = _gpod._Itdb_Track_unk220_get
    if _newclass:unk220 = _swig_property(_gpod._Itdb_Track_unk220_get, _gpod._Itdb_Track_unk220_set)
    __swig_setmethods__["unk224"] = _gpod._Itdb_Track_unk224_set
    __swig_getmethods__["unk224"] = _gpod._Itdb_Track_unk224_get
    if _newclass:unk224 = _swig_property(_gpod._Itdb_Track_unk224_get, _gpod._Itdb_Track_unk224_set)
    __swig_setmethods__["unk228"] = _gpod._Itdb_Track_unk228_set
    __swig_getmethods__["unk228"] = _gpod._Itdb_Track_unk228_get
    if _newclass:unk228 = _swig_property(_gpod._Itdb_Track_unk228_get, _gpod._Itdb_Track_unk228_set)
    __swig_setmethods__["unk232"] = _gpod._Itdb_Track_unk232_set
    __swig_getmethods__["unk232"] = _gpod._Itdb_Track_unk232_get
    if _newclass:unk232 = _swig_property(_gpod._Itdb_Track_unk232_get, _gpod._Itdb_Track_unk232_set)
    __swig_setmethods__["unk236"] = _gpod._Itdb_Track_unk236_set
    __swig_getmethods__["unk236"] = _gpod._Itdb_Track_unk236_get
    if _newclass:unk236 = _swig_property(_gpod._Itdb_Track_unk236_get, _gpod._Itdb_Track_unk236_set)
    __swig_setmethods__["unk240"] = _gpod._Itdb_Track_unk240_set
    __swig_getmethods__["unk240"] = _gpod._Itdb_Track_unk240_get
    if _newclass:unk240 = _swig_property(_gpod._Itdb_Track_unk240_get, _gpod._Itdb_Track_unk240_set)
    __swig_setmethods__["unk244"] = _gpod._Itdb_Track_unk244_set
    __swig_getmethods__["unk244"] = _gpod._Itdb_Track_unk244_get
    if _newclass:unk244 = _swig_property(_gpod._Itdb_Track_unk244_get, _gpod._Itdb_Track_unk244_set)
    __swig_setmethods__["gapless_data"] = _gpod._Itdb_Track_gapless_data_set
    __swig_getmethods__["gapless_data"] = _gpod._Itdb_Track_gapless_data_get
    if _newclass:gapless_data = _swig_property(_gpod._Itdb_Track_gapless_data_get, _gpod._Itdb_Track_gapless_data_set)
    __swig_setmethods__["unk252"] = _gpod._Itdb_Track_unk252_set
    __swig_getmethods__["unk252"] = _gpod._Itdb_Track_unk252_get
    if _newclass:unk252 = _swig_property(_gpod._Itdb_Track_unk252_get, _gpod._Itdb_Track_unk252_set)
    __swig_setmethods__["gapless_track_flag"] = _gpod._Itdb_Track_gapless_track_flag_set
    __swig_getmethods__["gapless_track_flag"] = _gpod._Itdb_Track_gapless_track_flag_get
    if _newclass:gapless_track_flag = _swig_property(_gpod._Itdb_Track_gapless_track_flag_get, _gpod._Itdb_Track_gapless_track_flag_set)
    __swig_setmethods__["gapless_album_flag"] = _gpod._Itdb_Track_gapless_album_flag_set
    __swig_getmethods__["gapless_album_flag"] = _gpod._Itdb_Track_gapless_album_flag_get
    if _newclass:gapless_album_flag = _swig_property(_gpod._Itdb_Track_gapless_album_flag_get, _gpod._Itdb_Track_gapless_album_flag_set)
    __swig_setmethods__["chapterdata_raw"] = _gpod._Itdb_Track_chapterdata_raw_set
    __swig_getmethods__["chapterdata_raw"] = _gpod._Itdb_Track_chapterdata_raw_get
    if _newclass:chapterdata_raw = _swig_property(_gpod._Itdb_Track_chapterdata_raw_get, _gpod._Itdb_Track_chapterdata_raw_set)
    __swig_setmethods__["chapterdata_raw_length"] = _gpod._Itdb_Track_chapterdata_raw_length_set
    __swig_getmethods__["chapterdata_raw_length"] = _gpod._Itdb_Track_chapterdata_raw_length_get
    if _newclass:chapterdata_raw_length = _swig_property(_gpod._Itdb_Track_chapterdata_raw_length_get, _gpod._Itdb_Track_chapterdata_raw_length_set)
    __swig_setmethods__["artwork"] = _gpod._Itdb_Track_artwork_set
    __swig_getmethods__["artwork"] = _gpod._Itdb_Track_artwork_get
    if _newclass:artwork = _swig_property(_gpod._Itdb_Track_artwork_get, _gpod._Itdb_Track_artwork_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_Track_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_Track_usertype_get
    if _newclass:usertype = _swig_property(_gpod._Itdb_Track_usertype_get, _gpod._Itdb_Track_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_Track_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_Track_userdata_get
    if _newclass:userdata = _swig_property(_gpod._Itdb_Track_userdata_get, _gpod._Itdb_Track_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_Track_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_Track_userdata_duplicate_get
    if _newclass:userdata_duplicate = _swig_property(_gpod._Itdb_Track_userdata_duplicate_get, _gpod._Itdb_Track_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_Track_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_Track_userdata_destroy_get
    if _newclass:userdata_destroy = _swig_property(_gpod._Itdb_Track_userdata_destroy_get, _gpod._Itdb_Track_userdata_destroy_set)
    def __init__(self, *args): 
        """__init__(self) -> _Itdb_Track"""
        this = _gpod.new__Itdb_Track(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _gpod.delete__Itdb_Track
    __del__ = lambda self : None;
_Itdb_Track_swigregister = _gpod._Itdb_Track_swigregister
_Itdb_Track_swigregister(_Itdb_Track)

ITDB_FILE_ERROR_SEEK = _gpod.ITDB_FILE_ERROR_SEEK
ITDB_FILE_ERROR_CORRUPT = _gpod.ITDB_FILE_ERROR_CORRUPT
ITDB_FILE_ERROR_NOTFOUND = _gpod.ITDB_FILE_ERROR_NOTFOUND
ITDB_FILE_ERROR_RENAME = _gpod.ITDB_FILE_ERROR_RENAME
ITDB_FILE_ERROR_ITDB_CORRUPT = _gpod.ITDB_FILE_ERROR_ITDB_CORRUPT

def itdb_file_error_quark(*args):
  """itdb_file_error_quark() -> GQuark"""
  return _gpod.itdb_file_error_quark(*args)

def itdb_parse(*args):
  """itdb_parse(gchar mp, GError error) -> Itdb_iTunesDB"""
  return _gpod.itdb_parse(*args)

def itdb_parse_file(*args):
  """itdb_parse_file(gchar filename, GError error) -> Itdb_iTunesDB"""
  return _gpod.itdb_parse_file(*args)

def itdb_write(*args):
  """itdb_write(Itdb_iTunesDB itdb, GError error) -> gboolean"""
  return _gpod.itdb_write(*args)

def itdb_write_file(*args):
  """itdb_write_file(Itdb_iTunesDB itdb, gchar filename, GError error) -> gboolean"""
  return _gpod.itdb_write_file(*args)

def itdb_shuffle_write(*args):
  """itdb_shuffle_write(Itdb_iTunesDB itdb, GError error) -> gboolean"""
  return _gpod.itdb_shuffle_write(*args)

def itdb_shuffle_write_file(*args):
  """itdb_shuffle_write_file(Itdb_iTunesDB itdb, gchar filename, GError error) -> gboolean"""
  return _gpod.itdb_shuffle_write_file(*args)

def itdb_new(*args):
  """itdb_new() -> Itdb_iTunesDB"""
  return _gpod.itdb_new(*args)

def itdb_free(*args):
  """itdb_free(Itdb_iTunesDB itdb)"""
  return _gpod.itdb_free(*args)

def itdb_duplicate(*args):
  """itdb_duplicate(Itdb_iTunesDB itdb) -> Itdb_iTunesDB"""
  return _gpod.itdb_duplicate(*args)

def itdb_tracks_number(*args):
  """itdb_tracks_number(Itdb_iTunesDB itdb) -> guint32"""
  return _gpod.itdb_tracks_number(*args)

def itdb_tracks_number_nontransferred(*args):
  """itdb_tracks_number_nontransferred(Itdb_iTunesDB itdb) -> guint32"""
  return _gpod.itdb_tracks_number_nontransferred(*args)

def itdb_playlists_number(*args):
  """itdb_playlists_number(Itdb_iTunesDB itdb) -> guint32"""
  return _gpod.itdb_playlists_number(*args)

def itdb_musicdirs_number(*args):
  """itdb_musicdirs_number(Itdb_iTunesDB itdb) -> gint"""
  return _gpod.itdb_musicdirs_number(*args)

def itdb_resolve_path(*args):
  """itdb_resolve_path(gchar root, gchar components) -> gchar"""
  return _gpod.itdb_resolve_path(*args)

def itdb_rename_files(*args):
  """itdb_rename_files(gchar mp, GError error) -> gboolean"""
  return _gpod.itdb_rename_files(*args)

def itdb_cp_track_to_ipod(*args):
  """itdb_cp_track_to_ipod(Itdb_Track track, gchar filename, GError error) -> gboolean"""
  return _gpod.itdb_cp_track_to_ipod(*args)

def itdb_cp(*args):
  """itdb_cp(gchar from_file, gchar to_file, GError error) -> gboolean"""
  return _gpod.itdb_cp(*args)

def itdb_filename_fs2ipod(*args):
  """itdb_filename_fs2ipod(gchar filename)"""
  return _gpod.itdb_filename_fs2ipod(*args)

def itdb_filename_ipod2fs(*args):
  """itdb_filename_ipod2fs(gchar ipod_file)"""
  return _gpod.itdb_filename_ipod2fs(*args)

def itdb_filename_on_ipod(*args):
  """itdb_filename_on_ipod(Itdb_Track track) -> gchar"""
  return _gpod.itdb_filename_on_ipod(*args)

def itdb_set_mountpoint(*args):
  """itdb_set_mountpoint(Itdb_iTunesDB itdb, gchar mp)"""
  return _gpod.itdb_set_mountpoint(*args)

def itdb_get_mountpoint(*args):
  """itdb_get_mountpoint(Itdb_iTunesDB itdb) -> gchar"""
  return _gpod.itdb_get_mountpoint(*args)

def itdb_get_control_dir(*args):
  """itdb_get_control_dir(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_control_dir(*args)

def itdb_get_itunes_dir(*args):
  """itdb_get_itunes_dir(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_itunes_dir(*args)

def itdb_get_music_dir(*args):
  """itdb_get_music_dir(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_music_dir(*args)

def itdb_get_artwork_dir(*args):
  """itdb_get_artwork_dir(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_artwork_dir(*args)

def itdb_get_photos_dir(*args):
  """itdb_get_photos_dir(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_photos_dir(*args)

def itdb_get_photos_thumb_dir(*args):
  """itdb_get_photos_thumb_dir(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_photos_thumb_dir(*args)

def itdb_get_device_dir(*args):
  """itdb_get_device_dir(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_device_dir(*args)

def itdb_get_itunesdb_path(*args):
  """itdb_get_itunesdb_path(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_itunesdb_path(*args)

def itdb_get_itunessd_path(*args):
  """itdb_get_itunessd_path(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_itunessd_path(*args)

def itdb_get_artworkdb_path(*args):
  """itdb_get_artworkdb_path(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_artworkdb_path(*args)

def itdb_get_photodb_path(*args):
  """itdb_get_photodb_path(gchar mountpoint) -> gchar"""
  return _gpod.itdb_get_photodb_path(*args)

def itdb_get_path(*args):
  """itdb_get_path(gchar dir, gchar file) -> gchar"""
  return _gpod.itdb_get_path(*args)

def itdb_device_new(*args):
  """itdb_device_new() -> Itdb_Device"""
  return _gpod.itdb_device_new(*args)

def itdb_device_free(*args):
  """itdb_device_free(Itdb_Device device)"""
  return _gpod.itdb_device_free(*args)

def itdb_device_set_mountpoint(*args):
  """itdb_device_set_mountpoint(Itdb_Device device, gchar mp)"""
  return _gpod.itdb_device_set_mountpoint(*args)

def itdb_device_read_sysinfo(*args):
  """itdb_device_read_sysinfo(Itdb_Device device) -> gboolean"""
  return _gpod.itdb_device_read_sysinfo(*args)

def itdb_device_write_sysinfo(*args):
  """itdb_device_write_sysinfo(Itdb_Device device, GError error) -> gboolean"""
  return _gpod.itdb_device_write_sysinfo(*args)

def itdb_device_get_sysinfo(*args):
  """itdb_device_get_sysinfo(Itdb_Device device, gchar field) -> gchar"""
  return _gpod.itdb_device_get_sysinfo(*args)

def itdb_device_set_sysinfo(*args):
  """itdb_device_set_sysinfo(Itdb_Device device, gchar field, gchar value)"""
  return _gpod.itdb_device_set_sysinfo(*args)

def itdb_device_get_ipod_info(*args):
  """itdb_device_get_ipod_info(Itdb_Device device) -> Itdb_IpodInfo"""
  return _gpod.itdb_device_get_ipod_info(*args)

def itdb_info_get_ipod_info_table(*args):
  """itdb_info_get_ipod_info_table() -> Itdb_IpodInfo"""
  return _gpod.itdb_info_get_ipod_info_table(*args)

def itdb_info_get_ipod_model_name_string(*args):
  """itdb_info_get_ipod_model_name_string(Itdb_IpodModel model) -> gchar"""
  return _gpod.itdb_info_get_ipod_model_name_string(*args)

def itdb_info_get_ipod_generation_string(*args):
  """itdb_info_get_ipod_generation_string(Itdb_IpodGeneration generation) -> gchar"""
  return _gpod.itdb_info_get_ipod_generation_string(*args)

def itdb_track_new(*args):
  """itdb_track_new() -> Itdb_Track"""
  return _gpod.itdb_track_new(*args)

def itdb_track_free(*args):
  """itdb_track_free(Itdb_Track track)"""
  return _gpod.itdb_track_free(*args)

def itdb_track_add(*args):
  """itdb_track_add(Itdb_iTunesDB itdb, Itdb_Track track, gint32 pos)"""
  return _gpod.itdb_track_add(*args)

def itdb_track_remove(*args):
  """itdb_track_remove(Itdb_Track track)"""
  return _gpod.itdb_track_remove(*args)

def itdb_track_unlink(*args):
  """itdb_track_unlink(Itdb_Track track)"""
  return _gpod.itdb_track_unlink(*args)

def itdb_track_duplicate(*args):
  """itdb_track_duplicate(Itdb_Track tr) -> Itdb_Track"""
  return _gpod.itdb_track_duplicate(*args)

def itdb_track_by_id(*args):
  """itdb_track_by_id(Itdb_iTunesDB itdb, guint32 id) -> Itdb_Track"""
  return _gpod.itdb_track_by_id(*args)

def itdb_track_id_tree_create(*args):
  """itdb_track_id_tree_create(Itdb_iTunesDB itdb) -> GTree"""
  return _gpod.itdb_track_id_tree_create(*args)

def itdb_track_id_tree_destroy(*args):
  """itdb_track_id_tree_destroy(GTree idtree)"""
  return _gpod.itdb_track_id_tree_destroy(*args)

def itdb_track_id_tree_by_id(*args):
  """itdb_track_id_tree_by_id(GTree idtree, guint32 id) -> Itdb_Track"""
  return _gpod.itdb_track_id_tree_by_id(*args)

def itdb_playlist_new(*args):
  """itdb_playlist_new(gchar title, gboolean spl) -> Itdb_Playlist"""
  return _gpod.itdb_playlist_new(*args)

def itdb_playlist_free(*args):
  """itdb_playlist_free(Itdb_Playlist pl)"""
  return _gpod.itdb_playlist_free(*args)

def itdb_playlist_add(*args):
  """itdb_playlist_add(Itdb_iTunesDB itdb, Itdb_Playlist pl, gint32 pos)"""
  return _gpod.itdb_playlist_add(*args)

def itdb_playlist_move(*args):
  """itdb_playlist_move(Itdb_Playlist pl, guint32 pos)"""
  return _gpod.itdb_playlist_move(*args)

def itdb_playlist_remove(*args):
  """itdb_playlist_remove(Itdb_Playlist pl)"""
  return _gpod.itdb_playlist_remove(*args)

def itdb_playlist_unlink(*args):
  """itdb_playlist_unlink(Itdb_Playlist pl)"""
  return _gpod.itdb_playlist_unlink(*args)

def itdb_playlist_duplicate(*args):
  """itdb_playlist_duplicate(Itdb_Playlist pl) -> Itdb_Playlist"""
  return _gpod.itdb_playlist_duplicate(*args)

def itdb_playlist_exists(*args):
  """itdb_playlist_exists(Itdb_iTunesDB itdb, Itdb_Playlist pl) -> gboolean"""
  return _gpod.itdb_playlist_exists(*args)

def itdb_playlist_add_track(*args):
  """itdb_playlist_add_track(Itdb_Playlist pl, Itdb_Track track, gint32 pos)"""
  return _gpod.itdb_playlist_add_track(*args)

def itdb_playlist_by_id(*args):
  """itdb_playlist_by_id(Itdb_iTunesDB itdb, guint64 id) -> Itdb_Playlist"""
  return _gpod.itdb_playlist_by_id(*args)

def itdb_playlist_by_nr(*args):
  """itdb_playlist_by_nr(Itdb_iTunesDB itdb, guint32 num) -> Itdb_Playlist"""
  return _gpod.itdb_playlist_by_nr(*args)

def itdb_playlist_by_name(*args):
  """itdb_playlist_by_name(Itdb_iTunesDB itdb, gchar name) -> Itdb_Playlist"""
  return _gpod.itdb_playlist_by_name(*args)

def itdb_playlist_contains_track(*args):
  """itdb_playlist_contains_track(Itdb_Playlist pl, Itdb_Track track) -> gboolean"""
  return _gpod.itdb_playlist_contains_track(*args)

def itdb_playlist_contain_track_number(*args):
  """itdb_playlist_contain_track_number(Itdb_Track tr) -> guint32"""
  return _gpod.itdb_playlist_contain_track_number(*args)

def itdb_playlist_remove_track(*args):
  """itdb_playlist_remove_track(Itdb_Playlist pl, Itdb_Track track)"""
  return _gpod.itdb_playlist_remove_track(*args)

def itdb_playlist_tracks_number(*args):
  """itdb_playlist_tracks_number(Itdb_Playlist pl) -> guint32"""
  return _gpod.itdb_playlist_tracks_number(*args)

def itdb_playlist_randomize(*args):
  """itdb_playlist_randomize(Itdb_Playlist pl)"""
  return _gpod.itdb_playlist_randomize(*args)

def itdb_playlist_mpl(*args):
  """itdb_playlist_mpl(Itdb_iTunesDB itdb) -> Itdb_Playlist"""
  return _gpod.itdb_playlist_mpl(*args)

def itdb_playlist_is_mpl(*args):
  """itdb_playlist_is_mpl(Itdb_Playlist pl) -> gboolean"""
  return _gpod.itdb_playlist_is_mpl(*args)

def itdb_playlist_set_mpl(*args):
  """itdb_playlist_set_mpl(Itdb_Playlist pl)"""
  return _gpod.itdb_playlist_set_mpl(*args)

def itdb_playlist_podcasts(*args):
  """itdb_playlist_podcasts(Itdb_iTunesDB itdb) -> Itdb_Playlist"""
  return _gpod.itdb_playlist_podcasts(*args)

def itdb_playlist_is_podcasts(*args):
  """itdb_playlist_is_podcasts(Itdb_Playlist pl) -> gboolean"""
  return _gpod.itdb_playlist_is_podcasts(*args)

def itdb_playlist_set_podcasts(*args):
  """itdb_playlist_set_podcasts(Itdb_Playlist pl)"""
  return _gpod.itdb_playlist_set_podcasts(*args)

def itdb_splr_get_field_type(*args):
  """itdb_splr_get_field_type(SPLRule splr) -> int"""
  return _gpod.itdb_splr_get_field_type(*args)

def itdb_splr_get_action_type(*args):
  """itdb_splr_get_action_type(SPLRule splr) -> int"""
  return _gpod.itdb_splr_get_action_type(*args)

def itdb_splr_validate(*args):
  """itdb_splr_validate(SPLRule splr)"""
  return _gpod.itdb_splr_validate(*args)

def itdb_splr_remove(*args):
  """itdb_splr_remove(Itdb_Playlist pl, SPLRule splr)"""
  return _gpod.itdb_splr_remove(*args)

def itdb_splr_new(*args):
  """itdb_splr_new() -> SPLRule"""
  return _gpod.itdb_splr_new(*args)

def itdb_splr_add(*args):
  """itdb_splr_add(Itdb_Playlist pl, SPLRule splr, gint pos)"""
  return _gpod.itdb_splr_add(*args)

def itdb_splr_add_new(*args):
  """itdb_splr_add_new(Itdb_Playlist pl, gint pos) -> SPLRule"""
  return _gpod.itdb_splr_add_new(*args)

def itdb_spl_copy_rules(*args):
  """itdb_spl_copy_rules(Itdb_Playlist dest, Itdb_Playlist src)"""
  return _gpod.itdb_spl_copy_rules(*args)

def itdb_splr_eval(*args):
  """itdb_splr_eval(SPLRule splr, Itdb_Track track) -> gboolean"""
  return _gpod.itdb_splr_eval(*args)

def itdb_spl_update(*args):
  """itdb_spl_update(Itdb_Playlist spl)"""
  return _gpod.itdb_spl_update(*args)

def itdb_spl_update_all(*args):
  """itdb_spl_update_all(Itdb_iTunesDB itdb)"""
  return _gpod.itdb_spl_update_all(*args)

def itdb_spl_update_live(*args):
  """itdb_spl_update_live(Itdb_iTunesDB itdb)"""
  return _gpod.itdb_spl_update_live(*args)

def itdb_track_set_thumbnails(*args):
  """itdb_track_set_thumbnails(Itdb_Track track, gchar filename) -> gboolean"""
  return _gpod.itdb_track_set_thumbnails(*args)

def itdb_track_set_thumbnails_from_data(*args):
  """itdb_track_set_thumbnails_from_data(Itdb_Track track, guchar image_data, gsize image_data_len) -> gboolean"""
  return _gpod.itdb_track_set_thumbnails_from_data(*args)

def itdb_track_remove_thumbnails(*args):
  """itdb_track_remove_thumbnails(Itdb_Track track)"""
  return _gpod.itdb_track_remove_thumbnails(*args)

def itdb_photodb_parse(*args):
  """itdb_photodb_parse(gchar mp, GError error) -> Itdb_PhotoDB"""
  return _gpod.itdb_photodb_parse(*args)

def itdb_photodb_add_photo(*args):
  """
    itdb_photodb_add_photo(Itdb_PhotoDB db, gchar filename, gint position, gint rotation, 
        GError error) -> Itdb_Artwork
    """
  return _gpod.itdb_photodb_add_photo(*args)

def itdb_photodb_add_photo_from_data(*args):
  """
    itdb_photodb_add_photo_from_data(Itdb_PhotoDB db, guchar image_data, gsize image_data_len, 
        gint position, gint rotation, GError error) -> Itdb_Artwork
    """
  return _gpod.itdb_photodb_add_photo_from_data(*args)

def itdb_photodb_photoalbum_add_photo(*args):
  """
    itdb_photodb_photoalbum_add_photo(Itdb_PhotoDB db, Itdb_PhotoAlbum album, Itdb_Artwork photo, 
        gint position)
    """
  return _gpod.itdb_photodb_photoalbum_add_photo(*args)

def itdb_photodb_photoalbum_create(*args):
  """itdb_photodb_photoalbum_create(Itdb_PhotoDB db, gchar albumname, gint pos) -> Itdb_PhotoAlbum"""
  return _gpod.itdb_photodb_photoalbum_create(*args)

def itdb_photodb_create(*args):
  """itdb_photodb_create(gchar mountpoint) -> Itdb_PhotoDB"""
  return _gpod.itdb_photodb_create(*args)

def itdb_photodb_free(*args):
  """itdb_photodb_free(Itdb_PhotoDB photodb)"""
  return _gpod.itdb_photodb_free(*args)

def itdb_photodb_write(*args):
  """itdb_photodb_write(Itdb_PhotoDB photodb, GError error) -> gboolean"""
  return _gpod.itdb_photodb_write(*args)

def itdb_photodb_remove_photo(*args):
  """itdb_photodb_remove_photo(Itdb_PhotoDB db, Itdb_PhotoAlbum album, Itdb_Artwork photo)"""
  return _gpod.itdb_photodb_remove_photo(*args)

def itdb_photodb_photoalbum_remove(*args):
  """itdb_photodb_photoalbum_remove(Itdb_PhotoDB db, Itdb_PhotoAlbum album, gboolean remove_pics)"""
  return _gpod.itdb_photodb_photoalbum_remove(*args)

def itdb_photodb_photoalbum_by_name(*args):
  """itdb_photodb_photoalbum_by_name(Itdb_PhotoDB db, gchar albumname) -> Itdb_PhotoAlbum"""
  return _gpod.itdb_photodb_photoalbum_by_name(*args)

def itdb_artwork_new(*args):
  """itdb_artwork_new() -> Itdb_Artwork"""
  return _gpod.itdb_artwork_new(*args)

def itdb_artwork_duplicate(*args):
  """itdb_artwork_duplicate(Itdb_Artwork artwork) -> Itdb_Artwork"""
  return _gpod.itdb_artwork_duplicate(*args)

def itdb_artwork_free(*args):
  """itdb_artwork_free(Itdb_Artwork artwork)"""
  return _gpod.itdb_artwork_free(*args)

def itdb_artwork_get_thumb_by_type(*args):
  """itdb_artwork_get_thumb_by_type(Itdb_Artwork artwork, ItdbThumbType type) -> Itdb_Thumb"""
  return _gpod.itdb_artwork_get_thumb_by_type(*args)

def itdb_artwork_add_thumbnail(*args):
  """
    itdb_artwork_add_thumbnail(Itdb_Artwork artwork, ItdbThumbType type, gchar filename, 
        gint rotation, GError error) -> gboolean
    """
  return _gpod.itdb_artwork_add_thumbnail(*args)

def itdb_artwork_add_thumbnail_from_data(*args):
  """
    itdb_artwork_add_thumbnail_from_data(Itdb_Artwork artwork, ItdbThumbType type, guchar image_data, 
        gsize image_data_len, gint rotation, 
        GError error) -> gboolean
    """
  return _gpod.itdb_artwork_add_thumbnail_from_data(*args)

def itdb_artwork_remove_thumbnail(*args):
  """itdb_artwork_remove_thumbnail(Itdb_Artwork artwork, Itdb_Thumb thumb)"""
  return _gpod.itdb_artwork_remove_thumbnail(*args)

def itdb_artwork_remove_thumbnails(*args):
  """itdb_artwork_remove_thumbnails(Itdb_Artwork artwork)"""
  return _gpod.itdb_artwork_remove_thumbnails(*args)

def itdb_thumb_get_gdk_pixbuf(*args):
  """itdb_thumb_get_gdk_pixbuf(Itdb_Device device, Itdb_Thumb thumb) -> gpointer"""
  return _gpod.itdb_thumb_get_gdk_pixbuf(*args)

def itdb_thumb_duplicate(*args):
  """itdb_thumb_duplicate(Itdb_Thumb thumb) -> Itdb_Thumb"""
  return _gpod.itdb_thumb_duplicate(*args)

def itdb_thumb_free(*args):
  """itdb_thumb_free(Itdb_Thumb thumb)"""
  return _gpod.itdb_thumb_free(*args)

def itdb_thumb_new(*args):
  """itdb_thumb_new() -> Itdb_Thumb"""
  return _gpod.itdb_thumb_new(*args)

def itdb_thumb_get_filename(*args):
  """itdb_thumb_get_filename(Itdb_Device device, Itdb_Thumb thumb) -> gchar"""
  return _gpod.itdb_thumb_get_filename(*args)

def itdb_time_get_mac_time(*args):
  """itdb_time_get_mac_time() -> guint64"""
  return _gpod.itdb_time_get_mac_time(*args)

def itdb_time_mac_to_host(*args):
  """itdb_time_mac_to_host(guint64 mactime) -> time_t"""
  return _gpod.itdb_time_mac_to_host(*args)

def itdb_time_host_to_mac(*args):
  """itdb_time_host_to_mac(time_t time) -> guint64"""
  return _gpod.itdb_time_host_to_mac(*args)

def itdb_init_ipod(*args):
  """
    itdb_init_ipod(gchar mountpoint, gchar model_number, gchar ipod_name, 
        GError error) -> gboolean
    """
  return _gpod.itdb_init_ipod(*args)


